"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module AccuDraw
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccuDrawCommandItems = void 0;
const imodeljs_frontend_1 = require("@bentley/imodeljs-frontend");
const ToolItemDef_1 = require("../shared/ToolItemDef");
const ToolSettingsTools_1 = require("../tools/ToolSettingsTools");
/** AccuDraw Command Items - useful in Keyboard Shortcuts
 * @alpha
 */
// istanbul ignore next
class AccuDrawCommandItems {
    static get lockSmart() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(imodeljs_frontend_1.AccuDrawSetLockSmartTool);
    }
    static get setOrigin() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(imodeljs_frontend_1.AccuDrawSetOriginTool);
    }
    static get lockX() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(imodeljs_frontend_1.AccuDrawSetLockXTool);
    }
    static get lockY() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(imodeljs_frontend_1.AccuDrawSetLockYTool);
    }
    static get lockZ() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(imodeljs_frontend_1.AccuDrawSetLockZTool);
    }
    static get lockAngle() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(imodeljs_frontend_1.AccuDrawSetLockAngleTool);
    }
    static get lockDistance() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(imodeljs_frontend_1.AccuDrawSetLockDistanceTool);
    }
    static get changeCompassMode() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(imodeljs_frontend_1.AccuDrawChangeModeTool);
    }
    static get rotateTop() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(imodeljs_frontend_1.AccuDrawRotateTopTool);
    }
    static get rotateFront() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(imodeljs_frontend_1.AccuDrawRotateFrontTool);
    }
    static get rotateSide() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(imodeljs_frontend_1.AccuDrawRotateSideTool);
    }
    static get rotateView() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(imodeljs_frontend_1.AccuDrawRotateViewTool);
    }
    static get rotateCycle() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(imodeljs_frontend_1.AccuDrawRotateCycleTool);
    }
    static get rotateAxes() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(imodeljs_frontend_1.AccuDrawRotateAxesTool);
    }
    static get rotateToElement() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(imodeljs_frontend_1.AccuDrawRotateElementTool);
    }
    static get defineACSByPoints() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(imodeljs_frontend_1.DefineACSByPointsTool);
    }
    static get bumpToolSetting() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(ToolSettingsTools_1.BumpToolSetting);
    }
    static get focusToolSetting() {
        return ToolItemDef_1.ToolItemDef.getItemDefForTool(ToolSettingsTools_1.FocusToolSettings);
    }
}
exports.AccuDrawCommandItems = AccuDrawCommandItems;
//# sourceMappingURL=AccuDrawCommandItems.js.map