/** @packageDocumentation
 * @module AccuDraw
 */
import { XAndY } from "@bentley/geometry-core";
import { AbstractMenuItemProps, OnCancelFunc, OnNumberCommitFunc } from "@bentley/ui-abstract";
/** AccuDraw Popup Manager class
 * @alpha
 */
export declare class AccuDrawPopupManager {
    private static _calculatorId;
    static showMenuButton(id: string, el: HTMLElement, pt: XAndY, menuItemsProps: AbstractMenuItemProps[]): boolean;
    static hideMenuButton(id: string): boolean;
    static showCalculator(el: HTMLElement, pt: XAndY, initialValue: number, resultIcon: string, onOk: OnNumberCommitFunc, onCancel: OnCancelFunc): boolean;
    static hideCalculator(): boolean;
    static showAngleEditor(el: HTMLElement, pt: XAndY, value: number, onCommit: OnNumberCommitFunc, onCancel: OnCancelFunc): boolean;
    static showLengthEditor(el: HTMLElement, pt: XAndY, value: number, onCommit: OnNumberCommitFunc, onCancel: OnCancelFunc): boolean;
    static showHeightEditor(el: HTMLElement, pt: XAndY, value: number, onCommit: OnNumberCommitFunc, onCancel: OnCancelFunc): boolean;
}
//# sourceMappingURL=AccuDrawPopupManager.d.ts.map