/** @packageDocumentation
 * @module AccuDraw
 */
/** @internal */
export declare enum CalculatorOperator {
    None = 0,
    Clear = 1,
    ClearAll = 2,
    Backspace = 3,
    Add = 4,
    Subtract = 5,
    Multiply = 6,
    Divide = 7,
    NegPos = 8,
    Decimal = 9,
    Equals = 10
}
/** @internal */
export declare enum CalculatorKeyType {
    None = 0,
    Operator = 1,
    Equals = 2
}
/** @internal */
export declare class CalculatorEngine {
    private _displayValue;
    private _operator?;
    private _previousKeyType;
    private _firstValue;
    private _modValue;
    constructor();
    clearAll(): void;
    get result(): number;
    get displayValue(): string;
    processValue(value: string): string;
    processOperator(operator: CalculatorOperator): string;
    private _createResultString;
    private _isMathOperator;
    private _calculate;
    private _updateCalculatorState;
}
//# sourceMappingURL=CalculatorEngine.d.ts.map