/** @packageDocumentation
 * @module AccuDraw
 */
import * as React from "react";
import { OnCancelFunc, OnNumberCommitFunc } from "@bentley/ui-abstract";
import { Size } from "@bentley/ui-core";
import { PopupPropsBase } from "../popup/PopupManager";
/** @alpha */
export interface CalculatorPopupProps extends PopupPropsBase {
    initialValue: number;
    resultIcon: string;
    onOk: OnNumberCommitFunc;
    onCancel: OnCancelFunc;
}
/** @internal */
interface CalculatorPopupState {
    size: Size;
}
/** Popup component for Calculator
 * @alpha
 */
export declare class CalculatorPopup extends React.PureComponent<CalculatorPopupProps, CalculatorPopupState> {
    /** @internal */
    readonly state: {
        size: Size;
    };
    private _onSizeKnown;
    /** @internal */
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=CalculatorPopup.d.ts.map