/** @packageDocumentation
 * @module AccuDraw
 */
import "./MenuButton.scss";
import * as React from "react";
import { PointProps, SizeProps } from "@bentley/ui-core";
import { SquareButtonProps } from "./SquareButton";
/** @alpha */
export interface MenuButtonProps extends SquareButtonProps {
    /** Center point */
    point: PointProps;
    /** Function called when size is known. */
    onSizeKnown?: (size: SizeProps) => void;
}
/** @internal */
interface MenuButtonState {
    expanded: boolean;
}
/** @alpha */
export declare class MenuButton extends React.PureComponent<MenuButtonProps, MenuButtonState> {
    private _menu;
    constructor(props: MenuButtonProps);
    render(): JSX.Element;
    private setDivRef;
    private _open;
    private _handleClick;
    private _handleClose;
}
export {};
//# sourceMappingURL=MenuButton.d.ts.map