"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module AccuDraw
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SquareButton = void 0;
require("./SquareButton.scss");
const classnames = require("classnames");
const React = require("react");
const ui_core_1 = require("@bentley/ui-core");
/** @alpha */
class SquareButton extends React.PureComponent {
    render() {
        const _a = this.props, { className, style } = _a, buttonProps = __rest(_a, ["className", "style"]);
        const buttonClassNames = classnames("uifw-square-button", className);
        const buttonStyle = Object.assign({}, style);
        return (React.createElement(ui_core_1.Button, Object.assign({}, buttonProps, { buttonType: ui_core_1.ButtonType.Hollow, className: buttonClassNames, style: buttonStyle })));
    }
}
exports.SquareButton = SquareButton;
//# sourceMappingURL=SquareButton.js.map