/** @packageDocumentation
 * @module Backstage
 */
import * as React from "react";
import { BackstageItem } from "@bentley/ui-abstract";
import { CommonProps } from "@bentley/ui-core";
/** @internal */
export declare type GroupedItems = ReadonlyArray<ReadonlyArray<BackstageItem>>;
/** @internal */
export declare const useGroupedItems: (items: ReadonlyArray<BackstageItem>) => GroupedItems;
/** Props of [[BackstageComposer]] component.
 * @public
 */
export interface BackstageComposerProps extends CommonProps {
    /** React node for an optional header item */
    readonly header?: React.ReactNode;
    /** Indicates whether to place an overlay over the frontstage when the backstage is displayed */
    readonly showOverlay?: boolean;
    /** List of backstage items to show */
    readonly items: BackstageItem[];
}
/** Backstage component composed from [[BackstageManager]] items.
 * @public
 */
export declare function BackstageComposer(props: BackstageComposerProps): JSX.Element;
//# sourceMappingURL=BackstageComposer.d.ts.map