/** @packageDocumentation
 * @module Backstage
 */
import { BackstageActionItem as UIA_BackstageActionItem, BackstageStageLauncher as UIA_BackstageStageLauncher } from "@bentley/ui-abstract";
import { BackstageItemProps, BackstageItemState } from "./BackstageItemProps";
/** Used to specify the item type added to the backstage menu.
 * Deprecated - Use [BackstageItemType]($ui-abstract) in bentley/ui-abstract instead.
 * @beta @deprecated Use BackstageItemType in bentley/ui-abstract instead
 */
export declare enum BackstageItemType {
    /** Item that executes an action function */
    ActionItem = 1,
    /** Item that activate a stage. */
    StageLauncher = 2
}
/** Describes the data needed to insert an action button into the backstage menu.
 * Deprecated - Use [BackstageActionItem]($ui-abstract) in bentley/ui-abstract instead.
 * @beta @deprecated Use BackstageActionItem in bentley/ui-abstract instead
 */
export interface BackstageActionItem extends UIA_BackstageActionItem {
    readonly type: BackstageItemType.ActionItem;
}
/** Describes the data needed to insert an action button into the backstage menu.
 * Deprecated - Use [BackstageStageLauncher]($ui-abstract) in bentley/ui-abstract instead.
 * @beta @deprecated Use BackstageStageLauncher in bentley/ui-abstract instead
 */
export interface BackstageStageLauncher extends UIA_BackstageStageLauncher {
    readonly type: BackstageItemType.StageLauncher;
}
/** Utilities for creating and maintaining backstage items
 * @beta
 */
export declare class BackstageItemUtilities {
    /** Creates a stage launcher backstage item
     * @beta @deprecated Use BackstageItemUtilities.createStageLauncher in bentley/ui-abstract instead
     */
    static createStageLauncher: (frontstageId: string, groupPriority: number, itemPriority: number, label: string, subtitle?: string | undefined, iconSpec?: string | undefined, overrides?: Partial<BackstageStageLauncher> | undefined) => BackstageStageLauncher;
    /** Creates an action backstage item
     * @beta @deprecated Use BackstageItemUtilities.createActionItem in bentley/ui-abstract instead
     */
    static createActionItem: (itemId: string, groupPriority: number, itemPriority: number, execute: () => void, label: string, subtitle?: string | undefined, iconSpec?: string | undefined, overrides?: Partial<BackstageActionItem> | undefined) => BackstageActionItem;
    /** Helper method to set backstage item state from props */
    static getBackstageItemStateFromProps: (props: BackstageItemProps) => BackstageItemState;
}
//# sourceMappingURL=BackstageItemUtilities.d.ts.map