/** @packageDocumentation
 * @module Backstage
 */
import { BeEvent } from "@bentley/bentleyjs-core";
import { IconSpec } from "@bentley/ui-core";
import { CommandItemDef } from "../shared/CommandItemDef";
/** Arguments of [[BackstageManager.onToggled]].
 * @beta
 */
export interface BackstageToggledArgs {
    readonly isOpen: boolean;
}
/** Controls backstage.
 * @beta
 */
export declare class BackstageManager {
    private _isOpen;
    /** Event raised when backstage is opened or closed. */
    readonly onToggled: BeEvent<(args: BackstageToggledArgs) => void>;
    get isOpen(): boolean;
    private setIsOpen;
    open(): void;
    close(): void;
    toggle(): void;
    /** Get CommandItemDef that will toggle display of Backstage and allow iconSpec to be overridden */
    static getBackstageToggleCommand(overrideIconSpec?: IconSpec): CommandItemDef;
}
/** Hook that returns isOpen flag of the backstage.
 * @beta
 */
export declare const useIsBackstageOpen: (manager: BackstageManager) => boolean;
/** Hook that returns backstage manager.
 * @beta
 */
export declare const useBackstageManager: () => BackstageManager;
//# sourceMappingURL=BackstageManager.d.ts.map