/** @packageDocumentation
 * @module Backstage
 */
import * as React from "react";
import { CommandHandler } from "@bentley/ui-abstract";
import { BackstageItemProps, BackstageItemState } from "./BackstageItemProps";
/** Properties for a [[CommandLaunchBackstageItem]] component
 * @public
 */
export interface CommandLaunchBackstageItemProps extends BackstageItemProps, CommandHandler {
    /** Unique Id for this backstage item. */
    commandId: string;
}
/** Backstage item that launches a Command
 * @public
 */
export declare class CommandLaunchBackstageItem extends React.PureComponent<CommandLaunchBackstageItemProps, BackstageItemState> {
    /** @internal */
    readonly state: Readonly<BackstageItemState>;
    private _componentUnmounting;
    private _stateSyncIds;
    constructor(props: CommandLaunchBackstageItemProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private _handleSyncUiEvent;
    execute: () => void;
    componentDidUpdate(_prevProps: CommandLaunchBackstageItemProps): void;
    render(): React.ReactNode;
}
//# sourceMappingURL=CommandLaunch.d.ts.map