/** @packageDocumentation
 * @module Backstage
 */
import * as React from "react";
import { BackstageItemProps, BackstageItemState } from "./BackstageItemProps";
/** Properties for a [[FrontstageLaunchBackstageItem]] component
 * @public
 */
export interface FrontstageLaunchBackstageItemProps extends BackstageItemProps {
    /** id of the frontstage */
    frontstageId: string;
}
/** Backstage item that activates a Frontstage
 * @public
 */
export declare class FrontstageLaunchBackstageItem extends React.PureComponent<FrontstageLaunchBackstageItemProps, BackstageItemState> {
    /** @internal */
    readonly state: Readonly<BackstageItemState>;
    private _componentUnmounting;
    private _stateSyncIds;
    constructor(props: FrontstageLaunchBackstageItemProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private _handleSyncUiEvent;
    execute: () => void;
    componentDidUpdate(_prevProps: FrontstageLaunchBackstageItemProps): void;
    private _handleFrontstageActivatedEvent;
    render(): React.ReactNode;
}
//# sourceMappingURL=FrontstageLaunch.d.ts.map