"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Backstage
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SeparatorBackstageItem = void 0;
const React = require("react");
const ui_ninezone_1 = require("@bentley/ui-ninezone");
/** Separator Backstage item.
 * @public
 */
class SeparatorBackstageItem extends React.PureComponent {
    constructor(separatorBackstageItemDef) {
        super(separatorBackstageItemDef);
        SeparatorBackstageItem._sSeparatorBackstageItemKey++;
        this._key = SeparatorBackstageItem._sSeparatorBackstageItemKey;
    }
    render() {
        return (React.createElement(ui_ninezone_1.BackstageSeparator, { key: this._key }));
    }
}
exports.SeparatorBackstageItem = SeparatorBackstageItem;
//# sourceMappingURL=Separator.js.map