/** @packageDocumentation
 * @module Backstage
 */
import * as React from "react";
import { BackstageItemProps, BackstageItemState } from "./BackstageItemProps";
/** Properties for a [[TaskLaunchBackstageItem]] component
 * @public
 */
export interface TaskLaunchBackstageItemProps extends BackstageItemProps {
    /** Workflow Id */
    workflowId: string;
    /** Task Id */
    taskId: string;
}
/** Backstage item that activates a Task
 * @public
 */
export declare class TaskLaunchBackstageItem extends React.PureComponent<TaskLaunchBackstageItemProps, BackstageItemState> {
    /** @internal */
    readonly state: Readonly<BackstageItemState>;
    private _componentUnmounting;
    private _stateSyncIds;
    constructor(props: TaskLaunchBackstageItemProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private _handleSyncUiEvent;
    get id(): string;
    execute: () => void;
    componentDidUpdate(_prevProps: TaskLaunchBackstageItemProps): void;
    private _handleTaskActivatedEvent;
    render(): React.ReactNode;
}
//# sourceMappingURL=TaskLaunch.d.ts.map