"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module ClientServices
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProjectScope = exports.ProjectReadStatus = void 0;
// This file defines the Project-related service interface that applications can provide if they want to override the default behavior.
/** The possible status values for reading ProjectInfo from CONNECT.
 * @internal
 */
var ProjectReadStatus;
(function (ProjectReadStatus) {
    ProjectReadStatus[ProjectReadStatus["NotRead"] = 0] = "NotRead";
    ProjectReadStatus[ProjectReadStatus["Reading"] = 1] = "Reading";
    ProjectReadStatus[ProjectReadStatus["DoneReading"] = 2] = "DoneReading";
})(ProjectReadStatus = exports.ProjectReadStatus || (exports.ProjectReadStatus = {}));
/** The possible values for Project scope in the iTwin services environment.
 * @internal
 */
var ProjectScope;
(function (ProjectScope) {
    ProjectScope[ProjectScope["Favorites"] = 0] = "Favorites";
    ProjectScope[ProjectScope["MostRecentlyUsed"] = 1] = "MostRecentlyUsed";
    ProjectScope[ProjectScope["Invited"] = 2] = "Invited";
    ProjectScope[ProjectScope["All"] = 3] = "All";
})(ProjectScope = exports.ProjectScope || (exports.ProjectScope = {}));
//# sourceMappingURL=ProjectServices.js.map