/** @packageDocumentation
 * @module ConfigurableUi
 */
/** Properties for [[ActivityTracker]]
 * @internal
 */
export interface ActivityTrackerProps {
    idleTimeout?: number;
    intervalTimeout?: number;
}
/** Activity Tracker utility class
 * @internal
 */
export declare class ActivityTracker {
    private _intervalId?;
    private _idleTimeout?;
    private _intervalTimeout;
    private _events;
    /** Initializes the time tracker and adds event listeners
     */
    initialize(props?: ActivityTrackerProps): void;
    /** Terminates the time tracker and removes event listeners
     */
    terminate(): void;
    private _bindEvents;
    private _unbindEvents;
    private _trackUiInterval;
    private _trackUiActivity;
}
//# sourceMappingURL=ActivityTracker.d.ts.map