/** @packageDocumentation
 * @module ConfigurableUi
 */
import "./configurableui.scss";
import * as React from "react";
import { CommonProps } from "@bentley/ui-core";
/** Properties for [[ConfigurableUiContent]]
 * @public
 */
export interface ConfigurableUiContentProps extends CommonProps {
    /** React node of the Backstage */
    appBackstage?: React.ReactNode;
    /** @internal */
    idleTimeout?: number;
    /** @internal */
    intervalTimeout?: number;
}
/** The ConfigurableUiContent component is the component the pages specified using ConfigurableUi
 * @public
 */
export declare function ConfigurableUiContent(props: ConfigurableUiContentProps): JSX.Element;
//# sourceMappingURL=ConfigurableUiContent.d.ts.map