/** @packageDocumentation
 * @module ConfigurableUi
 */
/** Time Tracker utility class
 * @internal
 */
export declare class TimeTracker {
    private _firstActiveTimestamp;
    private _idleStartTimestamp;
    private _lastActiveTimestamp;
    private _totalIdleTime;
    private _idleCount;
    private _idleTimeout;
    private _totalTime;
    private _idleTime;
    /** Starts time tracking
     */
    startTiming(): void;
    /** Stops time tracking
     */
    stopTiming(): void;
    /** Gets engagement time in seconds
     */
    getEngagementTimeSeconds(): number;
    /** Gets total time in seconds
     */
    getTotalTimeSeconds(): number;
    /** Gets idle time in seconds
     */
    getIdleTimeSeconds(): number;
    private _idleTimeCounter;
    private _trackActivity;
}
//# sourceMappingURL=TimeTracker.d.ts.map