/** @packageDocumentation
 * @module ContentView
 */
/// <reference types="react" />
import "./DefaultViewOverlay.scss";
import { ScreenViewport } from "@bentley/imodeljs-frontend";
/** Props of Viewport Overlay Control that show timelines
 * @public
 */
export interface ViewOverlayProps {
    viewport: ScreenViewport;
    onPlayPause?: (playing: boolean) => void;
}
/**
 * Default viewport overlay that examines ViewState of the active view for a schedule script, analysis data, or solar data. If one of these is detected, the corresponding
 * data provider is attached to the TimelineComponent and the overlay is made visible.
 * @public
 */
export declare function DefaultViewOverlay({ viewport, onPlayPause }: ViewOverlayProps): JSX.Element;
//# sourceMappingURL=DefaultViewOverlay.d.ts.map