/** @packageDocumentation
 * @module ContentView
 */
import { EmphasizeElementsProps, ViewStateProps } from "@bentley/imodeljs-common";
import { IModelConnection, ScreenViewport, ViewState } from "@bentley/imodeljs-frontend";
/** SavedViewProps interface for sharing ViewState and EmphasizeElements information.
 * @public
 */
export interface SavedViewProps extends ViewStateProps {
    bisBaseClass: string;
    emphasizeElementsProps?: EmphasizeElementsProps;
}
/** SavedView class. Used to serialize/deserialize a ViewState.
 * @public
 */
export declare class SavedView {
    /** Create a ViewState from the SavedView */
    static viewStateFromProps(iModelConnection: IModelConnection, savedViewProps: SavedViewProps): Promise<ViewState | undefined>;
    /** Apply EmphasizeElements from the SavedView */
    static emphasizeElementsFromProps(vp: ScreenViewport, savedViewProps: SavedViewProps): boolean;
    /** Create props for a ViewState */
    static viewStateToProps(viewState: ViewState): SavedViewProps;
    /** Create props for an EmphasizeElements and store in SavedViewProps */
    static emphasizeElementsToProps(vp: ScreenViewport, savedViewProps: SavedViewProps): void;
}
//# sourceMappingURL=SavedView.d.ts.map