/** @packageDocumentation
 * @module Cursor
 */
import * as React from "react";
import { CommonProps } from "@bentley/ui-core";
import { MenuItemProps } from "../../shared/MenuItem";
/** State for [[CursorPopupMenu]] component
 * @alpha
 */
interface CursorPopupMenuState {
    menuX: number;
    menuY: number;
    menuVisible: boolean;
    items?: MenuItemProps[];
}
/** Popup Menu to show at cursor typically used by tools to provide a right-click context menu.
 * @alpha
 */
export declare class CursorPopupMenu extends React.PureComponent<CommonProps, CursorPopupMenuState> {
    private _componentUnmounting;
    private _hostChildWindowId?;
    /** @internal */
    readonly state: CursorPopupMenuState;
    private _handleSyncUiEvent;
    componentDidMount(): void;
    componentWillUnmount(): void;
    private _handleRefSet;
    render(): React.ReactNode;
    private _hideContextMenu;
    private _itemPicked;
}
export {};
//# sourceMappingURL=CursorMenu.d.ts.map