/** @packageDocumentation
 * @module Dialog
 */
import * as React from "react";
import { DialogProps } from "@bentley/ui-core";
/** Properties for the [[ModelessDialog]] component
 * @public
 */
export interface ModelessDialogProps extends DialogProps {
    dialogId: string;
    movable?: boolean;
}
/** Modeless Dialog React component uses the Dialog component with a modal={false} prop.
 * It controls the z-index to keep the focused dialog above others.
 * @public
 */
export declare class ModelessDialog extends React.Component<ModelessDialogProps> {
    constructor(props: ModelessDialogProps);
    render(): JSX.Element;
    private _updateDialog;
}
//# sourceMappingURL=ModelessDialog.d.ts.map