"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Dialog
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModelessDialog = void 0;
const React = require("react");
const ui_core_1 = require("@bentley/ui-core");
const ModelessDialogManager_1 = require("./ModelessDialogManager");
/** Modeless Dialog React component uses the Dialog component with a modal={false} prop.
 * It controls the z-index to keep the focused dialog above others.
 * @public
 */
class ModelessDialog extends React.Component {
    constructor(props) {
        super(props);
        this._updateDialog = () => {
            this.forceUpdate();
        };
    }
    render() {
        const _a = this.props, { dialogId, style, modal, modelessId, onModelessPointerDown } = _a, props = __rest(_a, ["dialogId", "style", "modal", "modelessId", "onModelessPointerDown"]); // eslint-disable-line @typescript-eslint/no-unused-vars
        return (React.createElement(ui_core_1.Dialog, Object.assign({}, props, { modal: false, modelessId: dialogId, onModelessPointerDown: (event) => ModelessDialogManager_1.ModelessDialogManager.handlePointerDownEvent(event, dialogId, this._updateDialog), style: Object.assign({ zIndex: ModelessDialogManager_1.ModelessDialogManager.getDialogZIndex(dialogId) }, style) }), this.props.children));
    }
}
exports.ModelessDialog = ModelessDialog;
//# sourceMappingURL=ModelessDialog.js.map