"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Zone
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZoneTargets = void 0;
const React = require("react");
const ui_ninezone_1 = require("@bentley/ui-ninezone");
/** Zone Targets React component.
 * @internal
 */
class ZoneTargets extends React.Component {
    render() {
        switch (this.props.dropTarget) {
            case ui_ninezone_1.ZoneTargetType.Merge:
                return (React.createElement(ui_ninezone_1.MergeTarget, { className: this.props.className, onTargetChanged: (isTargeted) => this.props.targetChangeHandler.handleTargetChanged(this.props.zoneId, ui_ninezone_1.ZoneTargetType.Merge, isTargeted), style: this.props.style }));
            case ui_ninezone_1.ZoneTargetType.Back:
                return (React.createElement(ui_ninezone_1.BackTarget, { className: this.props.className, onTargetChanged: (isTargeted) => this.props.targetChangeHandler.handleTargetChanged(this.props.zoneId, ui_ninezone_1.ZoneTargetType.Back, isTargeted), style: this.props.style, zoneIndex: this.props.zoneId }));
            default:
                return null;
        }
    }
}
exports.ZoneTargets = ZoneTargets;
//# sourceMappingURL=ZoneTargets.js.map