/** @packageDocumentation
 * @module Frontstage
 */
import * as React from "react";
import { FrontstageProps } from "./Frontstage";
import { FrontstageDef } from "./FrontstageDef";
/** Provides a Frontstage as a React based definition
 * @public
 */
export declare abstract class FrontstageProvider {
    private _frontstageDef?;
    /** Initializes a FrontstageDef for this FrontstageProvider
     * @param frontstageDef  Optional FrontstageDef to initialize. If not provided, a FrontstageDef is constructed.
     * @returns Initialized FrontstageDef
     */
    initializeDef(frontstageDef?: FrontstageDef): FrontstageDef;
    /** Get the Frontstage React based definition */
    abstract get frontstage(): React.ReactElement<FrontstageProps>;
    /** Get the associated FrontstageDef */
    get frontstageDef(): FrontstageDef | undefined;
}
//# sourceMappingURL=FrontstageProvider.d.ts.map