"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Frontstage
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.FrontstageProvider = void 0;
const FrontstageDef_1 = require("./FrontstageDef");
/** Provides a Frontstage as a React based definition
 * @public
 */
class FrontstageProvider {
    /** Initializes a FrontstageDef for this FrontstageProvider
     * @param frontstageDef  Optional FrontstageDef to initialize. If not provided, a FrontstageDef is constructed.
     * @returns Initialized FrontstageDef
     */
    initializeDef(frontstageDef) {
        this._frontstageDef = frontstageDef ? frontstageDef : new FrontstageDef_1.FrontstageDef();
        this._frontstageDef.initializeFromProvider(this);
        return this._frontstageDef;
    }
    /** Get the associated FrontstageDef */
    get frontstageDef() { return this._frontstageDef; }
}
exports.FrontstageProvider = FrontstageProvider;
//# sourceMappingURL=FrontstageProvider.js.map