/** @packageDocumentation
 * @module Frontstage
 */
import "./ModalFrontstage.scss";
import * as React from "react";
import { CommonProps } from "@bentley/ui-core";
/**
 * Properties for the [[ModalFrontstage]] React component
 * @public
 */
export interface ModalFrontstageProps extends CommonProps {
    /** Title displayed at the top of the modal Frontstage */
    title: string;
    /** Indicates whether the modal Frontstage is open */
    isOpen?: boolean;
    /** Callback for navigating back from the modal Frontstage. This is normally connected to Redux. */
    navigateBack?: () => any;
    /** Callback for closing the modal Frontstage. This is normally connected to Redux. */
    closeModal: () => any;
    /** An optional React node displayed in the upper right of the modal Frontstage. */
    appBarRight?: React.ReactNode;
}
/**
 * ModalFrontstage React component
 * @public
 */
export declare class ModalFrontstage extends React.Component<ModalFrontstageProps> {
    private _backButtonTitle;
    constructor(props: ModalFrontstageProps);
    private _onGoBack;
    render(): JSX.Element;
}
//# sourceMappingURL=ModalFrontstage.d.ts.map