"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Frontstage
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModalFrontstage = void 0;
require("./ModalFrontstage.scss");
const classnames = require("classnames");
const React = require("react");
const ui_ninezone_1 = require("@bentley/ui-ninezone");
const UiFramework_1 = require("../UiFramework");
/**
 * ModalFrontstage React component
 * @public
 */
class ModalFrontstage extends React.Component {
    constructor(props) {
        super(props);
        this._backButtonTitle = UiFramework_1.UiFramework.translate("modalFrontstage.backButtonTitle");
        this._onGoBack = () => {
            if (this.props.navigateBack)
                this.props.navigateBack();
            this.props.closeModal();
        };
    }
    render() {
        const classNames = classnames("uifw-modal-frontstage", this.props.isOpen && "uifw-modal-open", this.props.className);
        return (React.createElement(React.Fragment, null,
            React.createElement("div", { className: classNames, style: this.props.style },
                React.createElement("div", { className: "uifw-modal-app-bar" },
                    React.createElement(ui_ninezone_1.BackButton, { className: "nz-toolbar-button-app", onClick: this._onGoBack, icon: React.createElement("i", { className: "icon icon-progress-backward" }), title: this._backButtonTitle }),
                    React.createElement("span", { className: "uicore-text-headline" }, this.props.title),
                    this.props.appBarRight &&
                        React.createElement("span", { className: "uifw-modal-app-bar-right" }, this.props.appBarRight)),
                React.createElement("div", { className: "uifw-modal-stage-content" }, this.props.children)),
            React.createElement("div", { className: "uifw-modal-frontstage-overlay" })));
    }
}
exports.ModalFrontstage = ModalFrontstage;
//# sourceMappingURL=ModalFrontstage.js.map