/** @packageDocumentation
 * @module Frontstage
 */
import "./ModalSettingsStage.scss";
import * as React from "react";
import { ModalFrontstageInfo } from "./FrontstageManager";
/** Modal frontstage displaying and editing settings from registered settings providers. See [SettingsManager]($ui-core)
 * and [SettingsContainer]($ui-core).
 * @beta
 */
export declare class SettingsModalFrontstage implements ModalFrontstageInfo {
    initialSettingsTabId?: string | undefined;
    static id: string;
    title: string;
    constructor(initialSettingsTabId?: string | undefined);
    notifyCloseRequest: boolean;
    get content(): React.ReactNode;
    private static noSettingsAvailable;
    static getBackstageActionItem(groupPriority: number, itemPriority: number): import("@bentley/ui-abstract").BackstageActionItem;
    static showSettingsStage(initialSettingsTab?: string): void;
}
//# sourceMappingURL=ModalSettingsStage.d.ts.map