"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Frontstage
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.NestedFrontstage = void 0;
const CommandItemDef_1 = require("../shared/CommandItemDef");
const FrontstageManager_1 = require("./FrontstageManager");
/**
 * Nested Frontstage related classes and commands
 * @public
 */
class NestedFrontstage {
    /** Command that returns to the previous Frontstage */
    static get backToPreviousFrontstageCommand() {
        return new CommandItemDef_1.CommandItemDef({
            commandId: "backToPreviousFrontstage",
            iconSpec: "icon-progress-backward",
            labelKey: "UiFramework:commands.backToPreviousFrontstage",
            execute: async () => {
                await FrontstageManager_1.FrontstageManager.closeNestedFrontstage();
            },
        });
    }
}
exports.NestedFrontstage = NestedFrontstage;
//# sourceMappingURL=NestedFrontstage.js.map