/** @packageDocumentation
 * @module IModelComponents
 */
/**
 * An option of how class grouping should work in a component.
 * @beta
 */
export declare enum ClassGroupingOption {
    /** Class grouping is disabled */
    No = 0,
    /** Class grouping is enabled */
    Yes = 1,
    /** Class grouping is enabled and grouping node shows grouped items count */
    YesWithCounts = 2
}
/**
 * Data structure that describes info used to filter visibility tree.
 * @alpha
 */
export interface VisibilityTreeFilterInfo {
    filter: string;
    activeMatchIndex?: number;
}
//# sourceMappingURL=Common.d.ts.map