"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module IModelComponents
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClassGroupingOption = void 0;
/**
 * An option of how class grouping should work in a component.
 * @beta
 */
var ClassGroupingOption;
(function (ClassGroupingOption) {
    /** Class grouping is disabled */
    ClassGroupingOption[ClassGroupingOption["No"] = 0] = "No";
    /** Class grouping is enabled */
    ClassGroupingOption[ClassGroupingOption["Yes"] = 1] = "Yes";
    /** Class grouping is enabled and grouping node shows grouped items count */
    ClassGroupingOption[ClassGroupingOption["YesWithCounts"] = 2] = "YesWithCounts";
})(ClassGroupingOption = exports.ClassGroupingOption || (exports.ClassGroupingOption = {}));
//# sourceMappingURL=Common.js.map