"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module IModelComponents
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CategoryTreeWithSearchBox = void 0;
require("./CategoriesTreeWithSearchBox.scss");
const React = require("react");
const imodeljs_frontend_1 = require("@bentley/imodeljs-frontend");
const ui_components_1 = require("@bentley/ui-components");
const CategoriesTree_1 = require("./CategoriesTree");
/**
 * @internal @deprecated for backwards compatibility with visibility widget
 */
function CategoryTreeWithSearchBox(props) {
    var _a, _b;
    const { showSearchBox, showAll, hideAll } = props, strippedProps = __rest(props, ["showSearchBox", "showAll", "hideAll"]);
    const [filter, setFilter] = React.useState("");
    const [activeMatchIndex, setActiveMatchIndex] = React.useState();
    const [matchesCount, setMatchesCount] = React.useState();
    const [filteredProvider, setFilteredProvider] = React.useState();
    const cancelFilter = React.useCallback(/* istanbul ignore next */ () => {
        setMatchesCount(undefined);
        setFilter("");
        setFilteredProvider(undefined);
    }, []);
    const startFilter = React.useCallback((newFilter) => {
        setMatchesCount(undefined);
        setFilter(newFilter);
    }, []);
    const selectedChanged = React.useCallback((index) => setActiveMatchIndex(index), []);
    const filterApplied = React.useCallback((provider, count) => {
        setMatchesCount(count);
        setFilteredProvider(provider);
    }, []);
    // istanbul ignore next
    const viewManager = (_a = strippedProps.viewManager) !== null && _a !== void 0 ? _a : imodeljs_frontend_1.IModelApp.viewManager;
    // istanbul ignore next
    const activeView = (_b = strippedProps.activeView) !== null && _b !== void 0 ? _b : viewManager.getFirstOpenView();
    React.useEffect(() => showAll === null || showAll === void 0 ? void 0 : showAll.addListener(async () => CategoriesTree_1.toggleAllCategories(viewManager, strippedProps.iModel, true, activeView, true, filteredProvider)), [showAll, viewManager, strippedProps.iModel, activeView, filteredProvider]);
    React.useEffect(() => hideAll === null || hideAll === void 0 ? void 0 : hideAll.addListener(async () => CategoriesTree_1.toggleAllCategories(viewManager, strippedProps.iModel, false, activeView, true, filteredProvider)), [hideAll, viewManager, strippedProps.iModel, activeView, filteredProvider]);
    const isFiltering = !!filter && matchesCount === undefined;
    return (React.createElement("div", { className: "ui-fw-categories-tree-with-search" },
        showSearchBox && React.createElement(ui_components_1.FilteringInput, { filteringInProgress: isFiltering, onFilterCancel: cancelFilter, onFilterClear: cancelFilter, onFilterStart: startFilter, resultSelectorProps: {
                onSelectedChanged: selectedChanged,
                resultCount: matchesCount !== null && matchesCount !== void 0 ? matchesCount : 0,
            } }),
        React.createElement(CategoriesTree_1.CategoryTree, Object.assign({}, strippedProps, { filterInfo: { filter, activeMatchIndex }, onFilterApplied: filterApplied }))));
}
exports.CategoryTreeWithSearchBox = CategoryTreeWithSearchBox;
//# sourceMappingURL=CategoriesTreeWithSearchBox.js.map