/** @packageDocumentation
 * @module IModelComponents
 */
/// <reference types="react" />
import "./SpatialContainmentTree.scss";
import { IModelConnection } from "@bentley/imodeljs-frontend";
import { Ruleset } from "@bentley/presentation-common";
import { IPresentationTreeDataProvider } from "@bentley/presentation-components";
import { ClassGroupingOption } from "../Common";
/** @internal */
export declare const RULESET_SPATIAL_BREAKDOWN: Ruleset;
/** @internal */
export declare const RULESET_SPATIAL_BREAKDOWN_GROUPED_BY_CLASS: Ruleset;
/**
 * Properties for the [[SpatialContainmentTree]] component
 * @public
 */
export interface SpatialContainmentTreeProps {
    iModel: IModelConnection;
    /**
     * Start loading hierarchy as soon as the component is created
     */
    enablePreloading?: boolean;
    /**
     * Should the tree group displayed element nodes by class.
     * @beta
     */
    enableElementsClassGrouping?: ClassGroupingOption;
    /**
     * Used for testing
     * @internal
     */
    dataProvider?: IPresentationTreeDataProvider;
}
/**
 * Tree which displays and manages models or categories contained in an iModel.
 * @public
 */
export declare function SpatialContainmentTree(props: SpatialContainmentTreeProps): JSX.Element;
/**
 * SpatialContainmentTree that is connected to the IModelConnection property in the Redux store. The
 * application must set up the Redux store and include the FrameworkReducer.
 * @beta
 */
export declare const IModelConnectedSpatialContainmentTree: import("react-redux").ConnectedComponent<typeof SpatialContainmentTree, any>;
//# sourceMappingURL=SpatialContainmentTree.d.ts.map