/** @packageDocumentation
 * @module KeyboardShortcut
 */
import * as React from "react";
import { CommonProps, UiEvent } from "@bentley/ui-core";
import { KeyboardShortcut } from "./KeyboardShortcut";
/** State for a [[KeyboardShortcutMenuEvent]] and [[KeyboardShortcutMenu]] component
 * @public
 */
export interface KeyboardShortcutMenuState {
    menuVisible: boolean;
    menuX: number;
    menuY: number;
    shortcuts?: KeyboardShortcut[];
}
/** KeyboardShortcut Menu Event class.
 * @public
 */
export declare class KeyboardShortcutMenuEvent extends UiEvent<KeyboardShortcutMenuState> {
}
/** React component that displays a context menu at the cursor containing keyboard shortcuts.
 * @public
 */
export declare class KeyboardShortcutMenu extends React.PureComponent<CommonProps, KeyboardShortcutMenuState> {
    /** @internal */
    readonly state: KeyboardShortcutMenuState;
    /** Get KeyboardShortcut Menu Event. */
    static readonly onKeyboardShortcutMenuEvent: KeyboardShortcutMenuEvent;
    componentDidMount(): void;
    componentWillUnmount(): void;
    private _handleKeyboardShortcutMenuEvent;
    render(): React.ReactNode;
    private getShortcutMenuItems;
    private getShortcutMenuItem;
    private _hideContextMenu;
    private _itemPicked;
}
//# sourceMappingURL=KeyboardShortcutMenu.d.ts.map