"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module KeyboardShortcut
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SpecialKey = exports.FunctionKey = void 0;
/** Enumeration for Function Keys
 * @public
 * @deprecated Use [FunctionKey]($ui-abstract) in bentley/ui-abstract instead
 */
var FunctionKey;
(function (FunctionKey) {
    FunctionKey["F1"] = "F1";
    FunctionKey["F2"] = "F2";
    FunctionKey["F3"] = "F3";
    FunctionKey["F4"] = "F4";
    FunctionKey["F5"] = "F5";
    FunctionKey["F6"] = "F6";
    FunctionKey["F7"] = "F7";
    FunctionKey["F8"] = "F8";
    FunctionKey["F9"] = "F9";
    FunctionKey["F10"] = "F10";
    FunctionKey["F11"] = "F11";
    FunctionKey["F12"] = "F12";
})(FunctionKey = exports.FunctionKey || (exports.FunctionKey = {}));
/** Enumeration for Special Keys
 * @public
 * @deprecated Use [SpecialKey]($ui-abstract) in bentley/ui-abstract instead
 */
var SpecialKey;
(function (SpecialKey) {
    SpecialKey["Home"] = "Home";
    SpecialKey["End"] = "End";
    SpecialKey["PageUp"] = "PageUp";
    SpecialKey["PageDown"] = "PageDown";
    SpecialKey["Escape"] = "Escape";
    SpecialKey["Delete"] = "Delete";
    SpecialKey["Insert"] = "Insert";
    SpecialKey["Tab"] = "Tab";
    SpecialKey["ArrowLeft"] = "ArrowLeft";
    SpecialKey["ArrowRight"] = "ArrowRight";
    SpecialKey["ArrowUp"] = "ArrowUp";
    SpecialKey["ArrowDown"] = "ArrowDown";
    SpecialKey["Enter"] = "Enter";
    SpecialKey["Space"] = " ";
    SpecialKey["Backspace"] = "Backspace";
})(SpecialKey = exports.SpecialKey || (exports.SpecialKey = {}));
//# sourceMappingURL=KeyboardKey.js.map