/** @packageDocumentation
 * @module Notification
 */
import "./InputField.scss";
import * as React from "react";
import { OutputMessagePriority } from "@bentley/imodeljs-frontend";
import { NotifyMessageType } from "./ReactNotifyMessageDetails";
/** Properties of [[InputFieldMessage]] component.
 * @public
 */
interface InputFieldMessageProps {
    showCloseButton?: boolean;
}
/** [[InputFieldMessage]] state.
 * @internal
 */
interface InputFieldMessageState {
    isVisible: boolean;
    priority: OutputMessagePriority;
    message: NotifyMessageType;
    detailedMessage?: NotifyMessageType;
    inputFieldElement?: HTMLElement;
    showCloseButton?: boolean;
}
/** InputField message pops up near pointer when attempting an invalid interaction.
 * @public
 */
export declare class InputFieldMessage extends React.PureComponent<InputFieldMessageProps, InputFieldMessageState> {
    readonly state: Readonly<InputFieldMessageState>;
    render(): React.ReactNode;
    componentDidMount(): void;
    componentWillUnmount(): void;
    private _onInputMessageClose;
    private _handleInputFieldMessageAddedEvent;
    private _handleInputFieldMessageRemovedEvent;
}
export {};
//# sourceMappingURL=InputField.d.ts.map