/** @packageDocumentation
 * @module Notification
 */
import { NotifyMessageDetailsType } from "./ReactNotifyMessageDetails";
import { MessageSeverity } from "@bentley/ui-core";
/** Interface for Status Message
 * @internal
 */
export interface StatusMessage {
    id: string;
    messageDetails: NotifyMessageDetailsType;
    severity: MessageSeverity;
}
/** Manager for Status messages
 * @internal
 */
export declare class StatusMessageManager {
    private _messages;
    private _messageId;
    initialize(): void;
    get messages(): readonly StatusMessage[];
    add(messageDetails: NotifyMessageDetailsType): void;
    remove(id: string): boolean;
}
//# sourceMappingURL=StatusMessageManager.d.ts.map