/** @packageDocumentation
 * @module Notification
 */
/// <reference types="react" />
import "./StatusMessagesContainer.scss";
import { StatusMessage } from "./StatusMessageManager";
import { ActivityMessageEventArgs } from "./MessageManager";
/** Properties for [[StatusMessagesContainer]] component
 * @internal
 */
export interface StatusMessagesContainerProps {
    messages: ReadonlyArray<StatusMessage>;
    activityMessageInfo: ActivityMessageEventArgs | undefined;
    isActivityMessageVisible: boolean;
    toastTarget: HTMLElement | null;
    closeMessage: (id: string) => void;
    cancelActivityMessage: () => void;
    dismissActivityMessage: () => void;
}
/** Component that renders one or more Toast, Sticky or Activity messages
 * @internal
 */
export declare function StatusMessagesContainer(props: StatusMessagesContainerProps): JSX.Element | null;
//# sourceMappingURL=StatusMessagesContainer.d.ts.map