"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module NavigationAids
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.CubeNavigationAidControl = void 0;
const React = require("react");
const ui_components_1 = require("@bentley/ui-components");
const NavigationAidControl_1 = require("./NavigationAidControl");
/** Navigation Aid that displays an interactive rotation cube for Spatial views that synchronizes with the rotation of the iModel Viewport
 * @public
 */
class CubeNavigationAidControl extends NavigationAidControl_1.NavigationAidControl {
    constructor(info, options) {
        super(info, options);
        this.reactNode = React.createElement(ui_components_1.CubeNavigationAid, { iModelConnection: options.imodel, viewport: options.viewport });
    }
    getSize() { return "96px"; }
}
exports.CubeNavigationAidControl = CubeNavigationAidControl;
CubeNavigationAidControl.navigationAidId = "CubeNavigationAid";
//# sourceMappingURL=CubeNavigationAidControl.js.map