"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module NavigationAids
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.DrawingNavigationAidControl = void 0;
const React = require("react");
const ui_components_1 = require("@bentley/ui-components");
const NavigationAidControl_1 = require("./NavigationAidControl");
/** Navigation Aid that displays an interactive mini-map for Drawing views that synchronizes with the iModel Viewport.
 * @beta
 */
class DrawingNavigationAidControl extends NavigationAidControl_1.NavigationAidControl {
    constructor(info, options) {
        super(info, options);
        this.reactNode = React.createElement(ui_components_1.DrawingNavigationAid, { iModelConnection: options.imodel, viewport: options.viewport });
    }
    getSize() { return "96px"; }
}
exports.DrawingNavigationAidControl = DrawingNavigationAidControl;
DrawingNavigationAidControl.navigationAidId = "DrawingNavigationAid";
//# sourceMappingURL=DrawingNavigationAidControl.js.map