/** @packageDocumentation
 * @module NavigationAids
 */
import * as React from "react";
import { IModelConnection } from "@bentley/imodeljs-frontend";
import { UiEvent } from "@bentley/ui-core";
import { ConfigurableCreateInfo, ConfigurableUiControl, ConfigurableUiControlType } from "../configurableui/ConfigurableUiControl";
/** NavigationAid Activated Event Args interface.
 * @public
 */
export interface NavigationAidActivatedEventArgs {
    navigationAidId: string;
    iModelConnection: IModelConnection;
}
/** NavigationAid Activated Event class.
 * @public
 */
export declare class NavigationAidActivatedEvent extends UiEvent<NavigationAidActivatedEventArgs> {
}
/** The base class for Navigation Aid controls.
 * @public
 */
export declare class NavigationAidControl extends ConfigurableUiControl {
    private _reactNode;
    constructor(info: ConfigurableCreateInfo, options: any);
    /** The React element associated with this control */
    get reactNode(): React.ReactNode;
    set reactNode(r: React.ReactNode);
    /** The React element associated with this control
     * @deprecated use reactNode
     */
    get reactElement(): React.ReactNode;
    set reactElement(r: React.ReactNode);
    /** Default size is "64px". Override to set a different size. */
    getSize(): string | undefined;
    /** Get the type of this control. */
    getType(): ConfigurableUiControlType;
}
//# sourceMappingURL=NavigationAidControl.d.ts.map