"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module NavigationAids
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.NavigationAidControl = exports.NavigationAidActivatedEvent = void 0;
const ui_core_1 = require("@bentley/ui-core");
const ConfigurableUiControl_1 = require("../configurableui/ConfigurableUiControl");
/** NavigationAid Activated Event class.
 * @public
 */
class NavigationAidActivatedEvent extends ui_core_1.UiEvent {
}
exports.NavigationAidActivatedEvent = NavigationAidActivatedEvent;
/** The base class for Navigation Aid controls.
 * @public
 */
class NavigationAidControl extends ConfigurableUiControl_1.ConfigurableUiControl {
    constructor(info, options) {
        super(info, options);
    }
    /** The React element associated with this control */
    get reactNode() { return this._reactNode; }
    set reactNode(r) { this._reactNode = r; }
    /** The React element associated with this control
     * @deprecated use reactNode
     */
    // istanbul ignore next
    get reactElement() { return this.reactNode; }
    // istanbul ignore next
    set reactElement(r) { this.reactNode = r; }
    /** Default size is "64px". Override to set a different size. */
    getSize() { return undefined; }
    /** Get the type of this control. */
    getType() { return ConfigurableUiControl_1.ConfigurableUiControlType.NavigationAid; }
}
exports.NavigationAidControl = NavigationAidControl;
//# sourceMappingURL=NavigationAidControl.js.map