/** @packageDocumentation
 * @module NavigationAids
 */
import "./StandardRotationNavigationAid.scss";
import * as React from "react";
import { StandardViewId } from "@bentley/imodeljs-frontend";
import { CommonProps } from "@bentley/ui-core";
import { ConfigurableCreateInfo } from "../configurableui/ConfigurableUiControl";
import { NavigationAidControl } from "./NavigationAidControl";
/** A 3D Standard Rotation Navigation Aid control.
 * @alpha
 */
export declare class StandardRotationNavigationAidControl extends NavigationAidControl {
    static navigationAidId: string;
    constructor(info: ConfigurableCreateInfo, options: any);
}
/** @internal */
export interface RotationData {
    label: string;
    iconClassName: string;
}
/** @internal */
interface StandardRotationNavigationAidState {
    element: HTMLDivElement | null;
    isExpanded: boolean;
    list: RotationData[];
    selected: StandardViewId;
}
/** A 3D Standard Rotation Navigation Aid.
 * @alpha
 */
export declare class StandardRotationNavigationAid extends React.Component<CommonProps, StandardRotationNavigationAidState> {
    private _title;
    /** @internal */
    readonly state: Readonly<StandardRotationNavigationAidState>;
    constructor(props: any);
    render(): React.ReactNode;
    private _handleRef;
    private _handlePopupClose;
    private _toggleIsExpanded;
    private _handleListItemClicked;
    private getExpandedContent;
}
export {};
//# sourceMappingURL=StandardRotationNavigationAid.d.ts.map