/** @packageDocumentation
 * @module OIDC
 */
import * as React from "react";
import { CommonProps } from "@bentley/ui-core";
/** Properties for the [[SignIn]] component
 * @public
 */
export interface SignInProps extends CommonProps {
    /** Handler called after sign-in has completed */
    onSignedIn?: () => void;
    /** Handler for the Register link */
    onRegister?: () => void;
    /** Handler for the Offline link */
    onOffline?: () => void;
    /** @internal */
    onStartSignIn?: () => void;
}
/**
 * SignIn React component.
 * `IModelApp.authorizationClient.signIn` is called when the "Sign In" button is pressed,
 * then `props.onSignedIn` is called after sign-in has completed.
 * @public
 */
export declare class SignIn extends React.PureComponent<SignInProps> {
    /** Oidc Frontend Client object */
    private _oidcClient;
    constructor(props: SignInProps);
    componentDidMount(): void;
    private _onUserStateChanged;
    componentWillUnmount(): void;
    private _onStartSignin;
    render(): JSX.Element;
}
//# sourceMappingURL=SignIn.d.ts.map