/** @packageDocumentation
 * @module Picker
 */
import "./ModelSelector.scss";
import * as React from "react";
import { ConfigurableCreateInfo } from "../../configurableui/ConfigurableUiControl";
import { WidgetControl } from "../../widgets/WidgetControl";
import { ModelSelectorWidgetProps, ModelSelectorWidgetState } from "./ModelSelectorDefinitions";
/**
 * Model Selector [[WidgetControl]]
 * @internal
 */
export declare class ModelSelectorWidgetControl extends WidgetControl {
    /** Creates a ModelSelectorDemoWidget */
    constructor(info: ConfigurableCreateInfo, options: any);
}
/**
 * Widget that manages category and model visibility via [[CategoryModelTree]]
 * @internal
 * @deprecated - Use [[VisibilityTree]] instead
 */
export declare class ModelSelectorWidget extends React.Component<ModelSelectorWidgetProps, ModelSelectorWidgetState> {
    private _groups;
    private _modelRuleset?;
    private _categoryRuleset?;
    private _isMounted;
    /** Creates a ModelSelectorWidget */
    constructor(props: ModelSelectorWidgetProps);
    /** @internal */
    componentDidMount(): Promise<void>;
    /** @internal */
    componentWillUnmount(): void;
    private initialize;
    /** Initializes category/model groups and contents */
    private _initGroups;
    /** Initializes state to default values */
    private _initState;
    /** Initialize models */
    private _initModelState;
    /** Initialize categories */
    private _initCategoryState;
    /**
     * Sets provided ruleset as new ruleset for tree.
     * @param ruleset Ruleset to provide to tree.
     */
    private _setViewType;
    /**
     * Creates initial model group
     * @returns Initialized model group
     */
    private _getDefaultModelGroup;
    private _updateModelsWithViewport;
    /** Modify viewport to display checked models */
    private _onModelsChecked;
    /**
     * Creates initial category group
     * @returns Initialized category group
     */
    private _getDefaultCategoryGroup;
    /** Modify viewport to display checked categories */
    private _onCategoriesChecked;
    private _updateCategoriesWithViewport;
    /** @internal */
    render(): JSX.Element;
    private _getGroupTabs;
    private _onExpand;
    private _getTabContent;
}
//# sourceMappingURL=ModelSelector.d.ts.map