/** @packageDocumentation
 * @module Picker
 */
import * as React from "react";
import { CategoryModelTreeProps, CategoryModelTreeState } from "./ModelSelectorDefinitions";
/**
 * Tree which displays and manages models or categories contained in an iModel.
 * @internal @deprecated
 */
export declare class CategoryModelTree extends React.Component<CategoryModelTreeProps, CategoryModelTreeState> {
    private _optionsElement;
    private _allNodeIds;
    private _isMounted;
    private _searchLabel;
    private _closeLabel;
    constructor(props: CategoryModelTreeProps);
    private _initState;
    /** @internal */
    componentDidMount(): void;
    /** @internal */
    componentDidUpdate(prevProps: CategoryModelTreeProps, _prevState: CategoryModelTreeState): void;
    /** @internal */
    componentWillUnmount(): void;
    private _onViewedModelsChanged;
    private _onViewedCategoriesChanged;
    private createCheckBoxInfoCallback;
    private getNodeCheckBoxInfo;
    private onCheckboxStateChange;
    private renderNodeCheckbox;
    /**
     * Enable or disable all items and nodes
     * @param enable Specifies if items and nodes should be enabled or disabled
     */
    private _onSetEnableAll;
    private _fetchAllNodeIds;
    private _fetchAllModelNodeIds;
    private _fetchAllCategoryNodeIds;
    /** Invert display on all items and state of all nodes */
    private _onInvertAll;
    /** Invert display on all items */
    private _invertEnableOnAllItems;
    /** @internal */
    render(): JSX.Element;
    private _getToolbar;
    private _getOptionsX;
    private _getOptionsY;
    private _onToggleSearchBox;
    private _onFilterCancel;
    private _onFilterClear;
    private _onFilterStart;
    private _onSelectedMatchChanged;
    private onFilterApplied;
    private _onMatchesCounted;
    private _onShowOptions;
    private _onCloseContextMenu;
    private _getSpinner;
    private _getTree;
    private _onNodeExpanded;
    private _manageNodesState;
    private _getNodeIds;
    /**
     * Set item and node state after input change
     * @param treeItemIds Ids of items to set state on
     * @param enable Flag to enable or disable item, determined by checkBoxState if not specified
     */
    private _setItemStates;
    /**
     * Set display flag on an item based on toggled node.
     * @param treeNodeIds  Ids of Nodes related to toggled display item.
     */
    private _setEnableItems;
    /**
     * Find an item specified by a node based on shared key.
     * @param treeNodeId Tree node ID to match.
     * @returns Specified item from list. Defaults to first item if none found.
     */
    private _getItem;
    private _setEnableChildren;
    private _fetchChildNodes;
    private _resetCheckBoxState;
}
//# sourceMappingURL=ModelSelectorTree.d.ts.map