/** @packageDocumentation
 * @module Popup
 */
import "./CardPopup.scss";
import * as React from "react";
import { CommonToolbarItem, OnCancelFunc, OnItemExecutedFunc, PropertyRecord, RelativePosition } from "@bentley/ui-abstract";
import { Orientation, Size } from "@bentley/ui-core";
import { PopupContentType, PopupPropsBase } from "./PopupManager";
/** @alpha */
export interface CardPopupProps extends PopupPropsBase {
    content: PopupContentType;
    title: string | PropertyRecord | undefined;
    items: CommonToolbarItem[] | undefined;
    relativePosition: RelativePosition;
    orientation: Orientation;
    onCancel: OnCancelFunc;
    onItemExecuted: OnItemExecutedFunc;
}
/** @internal */
interface CardPopupState {
    size: Size;
}
/** Popup component for Input Editor
 * @alpha
 */
export declare class CardPopup extends React.PureComponent<CardPopupProps, CardPopupState> {
    /** @internal */
    readonly state: {
        size: Size;
    };
    private _onSizeKnown;
    private _handleKeyDown;
    private _cancel;
    render(): JSX.Element;
}
/** @alpha */
export interface CardProps {
    content: PopupContentType;
    title: string | PropertyRecord | undefined;
    items: CommonToolbarItem[] | undefined;
    onItemExecuted: OnItemExecutedFunc;
}
/** @alpha */
export declare function Card(props: CardProps): JSX.Element;
export {};
//# sourceMappingURL=CardPopup.d.ts.map