/** @packageDocumentation
 * @module Popup
 */
import * as React from "react";
import { OnCancelFunc, RelativePosition } from "@bentley/ui-abstract";
import { Orientation, Size } from "@bentley/ui-core";
import { PopupPropsBase } from "./PopupManager";
/** @alpha */
export interface HTMLElementPopupProps extends PopupPropsBase {
    element: HTMLElement;
    relativePosition: RelativePosition;
    orientation: Orientation;
    onCancel: OnCancelFunc;
}
/** @internal */
interface HTMLElementPopupState {
    size: Size;
}
/** Popup component for HTMLElement
 * @alpha
 */
export declare class HTMLElementPopup extends React.PureComponent<HTMLElementPopupProps, HTMLElementPopupState> {
    /** @internal */
    readonly state: {
        size: Size;
    };
    private _onSizeKnown;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=HTMLElementPopup.d.ts.map