/** @packageDocumentation
 * @module Popup
 */
import * as React from "react";
import { OnCancelFunc, OnValueCommitFunc, PropertyRecord } from "@bentley/ui-abstract";
import { PropertyUpdatedArgs } from "@bentley/ui-components";
import { Size } from "@bentley/ui-core";
import { PopupPropsBase } from "./PopupManager";
/** @alpha */
export declare class InputEditorCommitHandler {
    readonly onCommit: OnValueCommitFunc;
    constructor(onCommit: OnValueCommitFunc);
    handleCommit: (args: PropertyUpdatedArgs) => void;
}
/** @alpha */
export interface InputEditorPopupProps extends PopupPropsBase {
    record: PropertyRecord;
    onCancel: OnCancelFunc;
    commitHandler: InputEditorCommitHandler;
}
/** @internal */
interface InputEditorPopupState {
    size: Size;
}
/** Popup component for Input Editor
 * @alpha
 */
export declare class InputEditorPopup extends React.PureComponent<InputEditorPopupProps, InputEditorPopupState> {
    /** @internal */
    readonly state: {
        size: Size;
    };
    private _onSizeKnown;
    /** @internal */
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=InputEditorPopup.d.ts.map