"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Popup
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PositionPopupContent = exports.PositionPopup = void 0;
require("./PositionPopup.scss");
const classnames = require("classnames");
const React = require("react");
const ui_core_1 = require("@bentley/ui-core");
/** @alpha */
class PositionPopup extends React.PureComponent {
    constructor(props) {
        super(props);
    }
    render() {
        const _a = this.props, { point, className, style, onSizeKnown } = _a, props = __rest(_a, ["point", "className", "style", "onSizeKnown"]); // eslint-disable-line @typescript-eslint/no-unused-vars
        const divStyle = Object.assign(Object.assign({}, style), { top: point.y, left: point.x });
        return (React.createElement("div", Object.assign({}, props, { className: classnames("uifw-position-popup", className), style: divStyle, ref: (e) => this.setDivRef(e) }), this.props.children));
    }
    setDivRef(div) {
        // istanbul ignore else
        if (div) {
            const rect = div.getBoundingClientRect();
            const size = new ui_core_1.Size(rect.width, rect.height);
            // istanbul ignore else
            if (this.props.onSizeKnown)
                this.props.onSizeKnown(size);
        }
    }
}
exports.PositionPopup = PositionPopup;
/** PositionPopup content with padding
 * @alpha
 */
function PositionPopupContent(props) {
    return React.createElement(ui_core_1.Div, Object.assign({}, props, { mainClassName: "uifw-position-popup-content" }));
}
exports.PositionPopupContent = PositionPopupContent;
//# sourceMappingURL=PositionPopup.js.map