/** @packageDocumentation
 * @module Popup
 */
import * as React from "react";
import { DialogLayoutDataProvider, OnCancelFunc, RelativePosition } from "@bentley/ui-abstract";
import { Orientation, Size } from "@bentley/ui-core";
import { PopupPropsBase } from "./PopupManager";
/** @alpha */
export interface ToolSettingsPopupProps extends PopupPropsBase {
    dataProvider: DialogLayoutDataProvider;
    relativePosition: RelativePosition;
    orientation: Orientation;
    onCancel: OnCancelFunc;
}
/** @internal */
interface ToolSettingsPopupState {
    size: Size;
}
/** Popup component for Tool Settings
 * @alpha
 */
export declare class ToolSettingsPopup extends React.PureComponent<ToolSettingsPopupProps, ToolSettingsPopupState> {
    /** @internal */
    readonly state: {
        size: Size;
    };
    constructor(props: ToolSettingsPopupProps);
    private _onSizeKnown;
    private _handleKeyDown;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=ToolSettingsPopup.d.ts.map