/** @packageDocumentation
 * @module Popup
 */
import * as React from "react";
import { CommonToolbarItem, OnCancelFunc, OnItemExecutedFunc, RelativePosition } from "@bentley/ui-abstract";
import { Orientation, Size } from "@bentley/ui-core";
import { PopupPropsBase } from "./PopupManager";
/** @alpha */
export interface ToolbarPopupProps extends PopupPropsBase {
    items: CommonToolbarItem[];
    relativePosition: RelativePosition;
    orientation: Orientation;
    onCancel: OnCancelFunc;
    onItemExecuted: OnItemExecutedFunc;
}
/** @internal */
interface ToolbarPopupState {
    size: Size;
}
/** Popup component for Input Editor
 * @alpha
 */
export declare class ToolbarPopup extends React.PureComponent<ToolbarPopupProps, ToolbarPopupState> {
    /** @internal */
    readonly state: {
        size: Size;
    };
    private _onSizeKnown;
    private _handleKeyDown;
    private _cancel;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=ToolbarPopup.d.ts.map