"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module State
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.FrameworkReducer = void 0;
const state_1 = require("../configurableui/state");
const redux_ts_1 = require("./redux-ts");
const SessionState_1 = require("./SessionState");
/** Framework reducer that combines the [[ConfigurableUiReducer]] and [[SessionStateReducer]].
 * @public
 */
exports.FrameworkReducer = redux_ts_1.combineReducers({
    configurableUiState: state_1.ConfigurableUiReducer,
    sessionState: SessionState_1.SessionStateReducer,
});
//# sourceMappingURL=FrameworkState.js.map