/** @packageDocumentation
 * @module Tools
 */
import { ConditionalBooleanValue } from "@bentley/ui-abstract";
import { CommandItemDef } from "../shared/CommandItemDef";
import { BaseItemState } from "../shared/ItemDefBase";
import { GroupItemDef } from "../toolbar/GroupItem";
/** return SyncEventIds that trigger selection state function refresh.
 * @beta
 */
export declare function getFeatureOverrideSyncEventIds(): string[];
/** return SyncEventIds that trigger selection state function refresh.
 * @beta
 */
export declare function getSelectionContextSyncEventIds(): string[];
/** return SyncEventIds that trigger selection state function refresh.
 * @beta
 */
export declare function isNoSelectionActive(): boolean;
/** return ConditionalBooleanValue object used to show items if selection set is active.
 * @beta
 */
export declare function areNoFeatureOverridesActive(): boolean;
/** return ConditionalBooleanValue object used to show item if feature overrides are active.
 * @beta
 */
export declare function getIsHiddenIfFeatureOverridesActive(): ConditionalBooleanValue;
/** return ConditionalBooleanValue object used to show items if selection set is active.
 * @beta
 */
export declare function getIsHiddenIfSelectionNotActive(): ConditionalBooleanValue;
/** return state with isVisible set to true is SectionSet is active.
 * @beta
 */
export declare function featureOverridesActiveStateFunc(state: Readonly<BaseItemState>): BaseItemState;
/** return state with isVisible set to true is SectionSet is active.
 * @beta
 */
export declare function selectionContextStateFunc(state: Readonly<BaseItemState>): BaseItemState;
/** Utility Class that provides definitions for tools dependent on current selection. These definitions can be used to populate toolbars.
 * @public
 */
export declare class SelectionContextToolDefinitions {
    static get isolateModelsInSelectionItemDef(): CommandItemDef;
    static get isolateCategoriesInSelectionItemDef(): CommandItemDef;
    static get isolateElementsItemDef(): CommandItemDef;
    static get isolateSelectionToolGroup(): GroupItemDef;
    static get hideModelsInSelectionItemDef(): CommandItemDef;
    static get hideCategoriesInSelectionItemDef(): CommandItemDef;
    static get hideElementsItemDef(): CommandItemDef;
    static get hideSectionToolGroup(): GroupItemDef;
    static get emphasizeElementsItemDef(): CommandItemDef;
    static get clearHideIsolateEmphasizeElementsItemDef(): CommandItemDef;
}
//# sourceMappingURL=SelectionContextItemDef.d.ts.map