/** @packageDocumentation
 * @module Settings
 */
/// <reference types="react" />
import "./QuantityFormat.scss";
import { QuantityTypeArg, UnitSystemKey } from "@bentley/imodeljs-frontend";
import { SettingsTabEntry } from "@bentley/ui-core";
/** Options to initialize the settings page that allows users to set Quantity formatting overrides.
 * @beta
 */
export interface QuantityFormatterSettingsOptions {
    initialQuantityType: QuantityTypeArg;
    availableUnitSystems: Set<UnitSystemKey>;
}
/**
 * Return a SettingsTabEntry that can be used to define the available settings that can be set for an application.
 * @param itemPriority - Used to define the order of the entry in the Settings Stage
 * @param opts - Options to initialize the settings page that allows users to set Quantity formatting overrides.
 * @beta
 */
export declare function getQuantityFormatsSettingsManagerEntry(itemPriority: number, opts?: Partial<QuantityFormatterSettingsOptions>): SettingsTabEntry;
/** UI Component shown in settings page to set the active Presentation Unit System and to set format overrides.
 * @beta
 */
export declare function QuantityFormatSettingsPage({ initialQuantityType, availableUnitSystems }: QuantityFormatterSettingsOptions): JSX.Element;
//# sourceMappingURL=QuantityFormat.d.ts.map