/** @packageDocumentation
 * @module Settings
 */
/// <reference types="react" />
import { UnitSystemKey } from "@bentley/imodeljs-frontend";
/** Props for [[UnitSystemSelector]]
 * @beta
 */
export interface UnitSystemSelectorProps {
    selectedUnitSystemKey: UnitSystemKey;
    onUnitSystemSelected: (unitSystem: UnitSystemKey) => void;
    availableUnitSystems: Set<UnitSystemKey>;
}
/** Select control to set the "active" Presentation Unit System. This setting determine what units are display for quantity values (i.e. foot vs meter).
 * @alpha
 */
export declare function UnitSystemSelector(props: UnitSystemSelectorProps): JSX.Element;
//# sourceMappingURL=UnitSystemSelector.d.ts.map