/** @packageDocumentation
 * @module Item
 */
import { ItemDefBase } from "./ItemDefBase";
/** Contains a map of Items.
 * @public
 */
export declare class ItemMap extends Map<string, ItemDefBase> {
    constructor(items?: ItemDefBase[]);
    addItem(item: ItemDefBase): void;
    addItems(items: ItemDefBase[]): void;
}
/** Contains a list of Items.
 * @public
 */
export declare class ItemList extends Array<ItemDefBase> {
    constructor(items?: ItemDefBase[]);
    addItem(item: ItemDefBase): void;
    addItems(items: ItemDefBase[]): void;
    get items(): ItemDefBase[];
}
//# sourceMappingURL=ItemMap.d.ts.map