/** @packageDocumentation
 * @module Item
 */
import { Tool } from "@bentley/imodeljs-frontend";
import { OnItemExecutedFunc } from "@bentley/ui-abstract";
import { ActionButtonItemDef } from "./ActionButtonItemDef";
import { ToolItemProps } from "./ItemProps";
/** An Item that starts the execution of a Tool.
 * @public
 */
export declare class ToolItemDef extends ActionButtonItemDef {
    toolId: string;
    constructor(toolItemProps: ToolItemProps, onItemExecuted?: OnItemExecutedFunc);
    get id(): string;
    /** Create a ToolItemDef that will run a registered tool. */
    static getItemDefForTool(tool: typeof Tool, iconSpec?: string, args?: any[]): ToolItemDef;
}
//# sourceMappingURL=ToolItemDef.d.ts.map