"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Frontstage
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.StagePanelSection = exports.StagePanelLocation = void 0;
/** Available Stage Panel locations.
 * @alpha
 * Deprecated - Use [StagePanelLocation]($ui-abstract) in bentley/ui-abstract instead.
 */
var StagePanelLocation;
(function (StagePanelLocation) {
    StagePanelLocation[StagePanelLocation["Top"] = 101] = "Top";
    StagePanelLocation[StagePanelLocation["TopMost"] = 102] = "TopMost";
    StagePanelLocation[StagePanelLocation["Left"] = 103] = "Left";
    StagePanelLocation[StagePanelLocation["Right"] = 104] = "Right";
    StagePanelLocation[StagePanelLocation["Bottom"] = 105] = "Bottom";
    StagePanelLocation[StagePanelLocation["BottomMost"] = 106] = "BottomMost";
})(StagePanelLocation = exports.StagePanelLocation || (exports.StagePanelLocation = {}));
/** Enum for Stage Panel Sections
 * @alpha
 * Deprecated - Use [StagePanelSection]($ui-abstract) in bentley/ui-abstract instead.
 */
var StagePanelSection;
(function (StagePanelSection) {
    StagePanelSection[StagePanelSection["Start"] = 0] = "Start";
    StagePanelSection[StagePanelSection["Middle"] = 1] = "Middle";
    StagePanelSection[StagePanelSection["End"] = 2] = "End";
})(StagePanelSection = exports.StagePanelSection || (exports.StagePanelSection = {}));
//# sourceMappingURL=StagePanelEnums.js.map