/** @packageDocumentation
 * @module Frontstage
 */
import "./StagePanelHeader.scss";
import * as React from "react";
import { StagePanelLocation } from "@bentley/ui-abstract";
import { CommonProps } from "@bentley/ui-core";
/** Properties of a [[StagePanelHeader]] component
 * @alpha
 */
export interface StagePanelHeaderProps extends CommonProps {
    /** Describes if the collapse button is visible. */
    collapseButton?: boolean;
    /** Title of collapse button (displayed when hovered). */
    collapseButtonTitle?: string;
    /** Describes stage panel location of this header. */
    location: StagePanelLocation;
    /** Header title. */
    title?: string;
}
/** Stage panel header React component.
 * @alpha
 */
export declare class StagePanelHeader extends React.PureComponent<StagePanelHeaderProps> {
    render(): JSX.Element;
    private _handleCollapseButtonClick;
}
//# sourceMappingURL=StagePanelHeader.d.ts.map