/** @packageDocumentation
 * @module StatusBar
 */
import "./Overflow.scss";
import * as React from "react";
import { CommonProps } from "@bentley/ui-core";
/** Properties of [[StatusBarOverflow]] component.
 * @internal
 */
export interface StatusBarOverflowProps extends CommonProps {
    /** Function called when button is clicked. */
    onClick?: () => void;
    /** Function called when button is resized. */
    onResize?: (w: number) => void;
}
/** Entry point to overflow status bar items of [[StatusBarComposer]] component.
 * @internal
 */
export declare const StatusBarOverflow: React.MemoExoticComponent<React.ForwardRefExoticComponent<StatusBarOverflowProps & React.RefAttributes<HTMLDivElement>>>;
//# sourceMappingURL=Overflow.d.ts.map