"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module ToolSettings
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusBarOverflowPanel = void 0;
require("./OverflowPanel.scss");
const classnames = require("classnames");
const React = require("react");
const ui_core_1 = require("@bentley/ui-core");
/** Displays overflow status bar items.
 * @internal
 */
function StatusBarOverflowPanel(props) {
    const className = classnames("uifw-statusbar-panel", props.className);
    return (React.createElement(ui_core_1.Popup, { className: className, isOpen: props.open, offset: 0, onClose: props.onClose, style: props.style, showShadow: true, target: props.target }, props.children));
}
exports.StatusBarOverflowPanel = StatusBarOverflowPanel;
//# sourceMappingURL=OverflowPanel.js.map