/** @packageDocumentation
 * @module StatusBar
 */
import * as React from "react";
import { CommonStatusBarItem } from "@bentley/ui-abstract";
import { CommonProps } from "@bentley/ui-core";
interface DockedStatusBarEntryContextArg {
    readonly isOverflown: boolean;
    readonly onResize: (w: number) => void;
}
/** @internal */
export declare function useStatusBarEntry(): DockedStatusBarEntryContextArg;
/** Properties of [[DockedStatusBarItem]] component.
 * @internal future
 */
export interface StatusBarItemProps extends CommonProps {
    /** Tool setting content. */
    children?: React.ReactNode;
}
/** Used in [[StatusBarComposer]] component to display a statusbar item.
 * @internal future
 */
export declare function DockedStatusBarItem(props: StatusBarItemProps): JSX.Element;
/** Properties for the [[StatusBarComposer]] React components
 * @public
 */
export interface StatusBarComposerProps extends CommonProps {
    /** Status Bar items */
    items: CommonStatusBarItem[];
    /** CSS class name override for the overall Status Bar */
    mainClassName?: string;
    /** CSS class name override for the left section */
    leftClassName?: string;
    /** CSS class name override for the center section */
    centerClassName?: string;
    /** CSS class name override for the right section */
    rightClassName?: string;
}
/** Component to load components into the [[StatusBar]].
 * @public
 */
export declare function StatusBarComposer(props: StatusBarComposerProps): JSX.Element;
export {};
//# sourceMappingURL=StatusBarComposer.d.ts.map