/** @packageDocumentation
 * @module Notification
 */
import * as React from "react";
import { NotifyMessageType } from "../messages/ReactNotifyMessageDetails";
import { StatusFieldProps } from "./StatusFieldProps";
/** State for the [[ActivityCenterField]] component
 * @internal
 */
interface ActivityCenterState {
    message: NotifyMessageType;
    percentage: number;
    isActivityMessageVisible: boolean;
}
/** Activity Center Field React component.
 * @public
 */
export declare class ActivityCenterField extends React.Component<StatusFieldProps, ActivityCenterState> {
    constructor(p: StatusFieldProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    private _handleActivityMessageEvent;
    private _handleActivityMessageCancelledEvent;
    private _openActivityMessage;
    render(): React.ReactNode;
}
export {};
//# sourceMappingURL=ActivityCenter.d.ts.map