"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module StatusBar
 */
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FooterModeField = void 0;
const React = require("react");
const withStatusFieldProps_1 = require("../statusbar/withStatusFieldProps");
const ConditionalField_1 = require("./ConditionalField");
// eslint-disable-next-line @typescript-eslint/naming-convention
const ConditionalFieldWithProps = withStatusFieldProps_1.withStatusFieldProps(ConditionalField_1.ConditionalField);
/**
 * A component that renders its children if the StatusBar is in Footer mode.
 * @public
 */
class FooterModeField extends React.PureComponent {
    render() {
        const _a = this.props, { children } = _a, otherProps = __rest(_a, ["children"]);
        return (React.createElement(ConditionalFieldWithProps, Object.assign({}, otherProps, { boolFunc: (props) => props.isInFooterMode }), (isInFooterMode) => isInFooterMode && children));
    }
}
exports.FooterModeField = FooterModeField;
//# sourceMappingURL=FooterModeField.js.map