/** @packageDocumentation
 * @module StatusBar
 */
import "./Indicator.scss";
import * as React from "react";
import { ConditionalStringValue } from "@bentley/ui-abstract";
import { CommonProps } from "@bentley/ui-core";
/** Properties of [[Indicator]] component. */
interface IndicatorProps extends CommonProps {
    /** Label of balloon icon. */
    balloonLabel?: string;
    /** Dialog that is opened when indicator is clicked. */
    dialog?: React.ReactChild;
    /** Describes if the indicator label is visible. */
    isLabelVisible?: boolean;
    /** Icon to use in the footer. */
    iconName?: string;
    /** specification for Icon, overrides iconName specification */
    iconSpec?: string | ConditionalStringValue;
    /** Indicator label. */
    label?: string;
    /** Function called when indicator is clicked. */
    onClick?: () => void;
    /** Determines if indicator has been opened to show contained dialog */
    opened: boolean;
    /** Describes whether the footer is in footer or widget mode. */
    isInFooterMode?: boolean;
    /** Tooltip text */
    toolTip?: string;
}
/** General-purpose [[Footer]] indicator. Shows an icon and supports an optional popup dialog.
 * @beta
 */
export declare class Indicator extends React.Component<IndicatorProps, any> {
    constructor(props: IndicatorProps);
    private _handleOnIndicatorClick;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=Indicator.d.ts.map