/** @packageDocumentation
 * @module StatusBar
 */
import "./PromptField.scss";
import * as React from "react";
import { StatusFieldProps } from "./StatusFieldProps";
/** Defines properties supported by the Prompt Field Component.
 */
interface PromptFieldProps extends StatusFieldProps {
    /** Prompt text for the active tool */
    toolPrompt: string;
}
/**
 * Prompt Field React component. This component is designed to be specified in a status bar definition.
 * It is used to display prompts from tools. To send a prompt to this component use IModelApp.notifications.outputPromptByKey or
 * IModelApp.notifications.outputPrompt.
 */
declare class PromptFieldComponent extends React.Component<PromptFieldProps> {
    constructor(props: PromptFieldProps);
    render(): React.ReactNode;
}
/**
 * Prompt Field React component. This component is designed to be specified in a status bar definition.
 * It is used to display prompts from tools. To send a prompt to this component use IModelApp.notifications.outputPromptByKey or
 * IModelApp.notifications.outputPrompt.
 * This React component is Redux connected.
 * @public
 * @deprecated Use ToolAssistanceField instead
 */ export declare const PromptField: import("react-redux").ConnectedComponent<typeof PromptFieldComponent, import("react-redux").Omit<React.ClassAttributes<PromptFieldComponent> & PromptFieldProps, "toolPrompt">>;
export {};
//# sourceMappingURL=PromptField.d.ts.map