/** @packageDocumentation
 * @module StatusBar
 */
import "./SelectionInfo.scss";
import * as React from "react";
import { StatusFieldProps } from "./StatusFieldProps";
/** Defines properties supported by the SelectionInfo Field Component.
 */
interface SelectionInfoFieldProps extends StatusFieldProps {
    selectionCount: number;
}
/**
 * Status Field React component. This component is designed to be specified in a status bar definition.
 * It is used to display the number of selected items based on the Presentation Rules Selection Manager.
 */
declare class SelectionInfoFieldComponent extends React.Component<SelectionInfoFieldProps> {
    constructor(props: SelectionInfoFieldProps);
    render(): React.ReactNode;
}
/**
 * SelectionInfo Status Field React component. This component is designed to be specified in a status bar definition.
 * It is used to display the number of selected items based on the Presentation Rules Selection Manager.
 * This React component is Redux connected.
 * @public
 */ export declare const SelectionInfoField: import("react-redux").ConnectedComponent<typeof SelectionInfoFieldComponent, import("react-redux").Omit<React.ClassAttributes<SelectionInfoFieldComponent> & SelectionInfoFieldProps, "selectionCount">>;
export {};
//# sourceMappingURL=SelectionInfo.d.ts.map