/** @packageDocumentation
 * @module Timeline
 */
import { ScreenViewport, ViewState } from "@bentley/imodeljs-frontend";
import { BaseTimelineDataProvider, PlaybackSettings } from "@bentley/ui-components";
/**  Analysis Timeline Data Provider - Allows a TimelineComponent to animate the AnalysisStyle information stored in a ViewState.
 * @public
 */
export declare class AnalysisAnimationTimelineDataProvider extends BaseTimelineDataProvider {
    private _viewState;
    constructor(viewState: ViewState, viewport?: ScreenViewport);
    loadTimelineData(): Promise<boolean>;
    onAnimationFractionChanged: (animationFraction: number) => void;
    onPlaybackSettingChanged: (settings: PlaybackSettings) => void;
}
//# sourceMappingURL=AnalysisAnimationProvider.d.ts.map