/** @packageDocumentation
 * @module Timeline
 */
import { ScreenViewport, ViewState } from "@bentley/imodeljs-frontend";
import { BaseTimelineDataProvider, PlaybackSettings } from "@bentley/ui-components";
/** ScheduleAnimation Timeline Data Provider - allows a TimelineComponent to animate the data found in a ScheduleScript in a ViewState.
 * @public
 */
export declare class ScheduleAnimationTimelineDataProvider extends BaseTimelineDataProvider {
    private _viewState;
    constructor(viewState: ViewState, viewport?: ScreenViewport);
    loadTimelineData(): Promise<boolean>;
    onAnimationFractionChanged: (animationFraction: number) => void;
    onPlaybackSettingChanged: (settings: PlaybackSettings) => void;
}
//# sourceMappingURL=ScheduleAnimationProvider.d.ts.map