/** @packageDocumentation
 * @module Timeline
 */
import { ColorDef } from "@bentley/imodeljs-common";
import { DisplayStyle3dState, ScreenViewport, ViewState } from "@bentley/imodeljs-frontend";
import { BaseSolarDataProvider } from "@bentley/ui-components";
/** Default Solar Data Provider interface for getting and setting solar position from iModels view definitions.
 * @alpha
 */
export declare class SolarTimelineDataProvider extends BaseSolarDataProvider {
    protected _viewState: ViewState;
    protected get _displayStyle3d(): DisplayStyle3dState | undefined;
    /** constructor that takes an optional viewport and optional position on globe that is used if the imodel is not "GeoLocated"  */
    constructor(viewState: ViewState, viewport?: ScreenViewport, longitude?: number, latitude?: number);
    get shouldShowTimeline(): boolean;
    onTimeChanged: (time: Date) => void;
    get shadowColor(): ColorDef;
    set shadowColor(color: ColorDef);
}
//# sourceMappingURL=SolarTimelineDataProvider.d.ts.map