"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Toolbar
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionButtonItem = void 0;
const React = require("react");
const ui_abstract_1 = require("@bentley/ui-abstract");
const ui_core_1 = require("@bentley/ui-core");
const ui_ninezone_1 = require("@bentley/ui-ninezone");
const ToolbarHelper_1 = require("./ToolbarHelper");
const useEscapeSetFocusToHome_1 = require("../hooks/useEscapeSetFocusToHome");
/** ActionItem toolbar Function component
 * @internal
 */
function ActionButtonItem(props) {
    const { item } = props;
    const execute = () => {
        item.execute();
        if (props.onItemExecuted)
            props.onItemExecuted(item);
    };
    return (React.createElement(ui_ninezone_1.Item, { isActive: item.isActive, isDisabled: ui_abstract_1.ConditionalBooleanValue.getValue(item.isDisabled), title: ui_abstract_1.ConditionalStringValue.getValue(item.label), key: item.id, onClick: execute, onKeyDown: useEscapeSetFocusToHome_1.onEscapeSetFocusToHome, icon: ToolbarHelper_1.ToolbarHelper.getIconReactNode(item), badge: ui_core_1.BadgeUtilities.getComponentForBadgeType(item.badgeType) }));
}
exports.ActionButtonItem = ActionButtonItem;
//# sourceMappingURL=ActionButtonItem.js.map