/** @packageDocumentation
 * @module Item
 */
import * as React from "react";
import { CommonProps, SizeProps } from "@bentley/ui-core";
import { ActionButtonItemDef } from "../shared/ActionButtonItemDef";
import { BaseItemState } from "../shared/ItemDefBase";
/** Properties that must be specified for an [[ActionItemButton]] component
 * @public
 */
export interface ActionItemButtonProps extends CommonProps {
    /** Action Button item definition containing the action information */
    actionItem: ActionButtonItemDef;
    /** Indicates whether the button is enabled or disabled */
    isEnabled?: boolean;
    /** Called when the button is initialized and the size is known */
    onSizeKnown?: (size: SizeProps) => void;
}
/** A Toolbar button React Component that executes an action defined by a CommandItemDef or a ToolItemDef.
 * @public
 */
export declare class ActionItemButton extends React.Component<ActionItemButtonProps, BaseItemState> {
    private _componentUnmounting;
    /** @internal */
    readonly state: Readonly<BaseItemState>;
    constructor(props: ActionItemButtonProps);
    private _handleSyncUiEvent;
    /** @internal */
    static getDerivedStateFromProps(props: ActionItemButtonProps, state: BaseItemState): BaseItemState | null;
    /** @internal */
    componentDidMount(): void;
    /** @internal */
    componentWillUnmount(): void;
    private _execute;
    /** @internal */
    render(): React.ReactNode;
}
//# sourceMappingURL=ActionItemButton.d.ts.map