/** @packageDocumentation
 * @module Item
 */
import * as React from "react";
import { CommonProps } from "@bentley/ui-core";
import { BaseItemState } from "../shared/ItemDefBase";
import { ToolItemProps } from "../shared/ItemProps";
/** Properties for the [[ToolButton]] React Component.
 * @public
 */
export interface ToolButtonProps extends ToolItemProps, CommonProps {
}
/** Tool Button React Component.
 * @public
 */
export declare class ToolButton extends React.Component<ToolButtonProps, BaseItemState> {
    private _componentUnmounting;
    private _label;
    /** @internal */
    readonly state: Readonly<BaseItemState>;
    constructor(props: ToolItemProps);
    private _handleSyncUiEvent;
    componentDidMount(): void;
    componentWillUnmount(): void;
    private _execute;
    get label(): string;
    render(): React.ReactNode;
}
//# sourceMappingURL=ToolButton.d.ts.map