/** @packageDocumentation
 * @module Toolbar
 */
/// <reference types="react" />
import { CommonToolbarItem, ToolbarOrientation, ToolbarUsage } from "@bentley/ui-abstract";
/** Properties for the [[ToolbarComposer]] React components
 * @public
 */
export interface ExtensibleToolbarProps {
    items: CommonToolbarItem[];
    usage: ToolbarUsage;
    /** Toolbar orientation. */
    orientation: ToolbarOrientation;
}
/**
 * Toolbar that is populated and maintained by item managers.
 * @public
 */
export declare function ToolbarComposer(props: ExtensibleToolbarProps): JSX.Element;
//# sourceMappingURL=ToolbarComposer.d.ts.map