/** @packageDocumentation
 * @module Tools
 */
import { CommandItemDef } from "../shared/CommandItemDef";
import { CustomItemDef } from "../shared/CustomItemDef";
import { ToolItemDef } from "../shared/ToolItemDef";
import { GroupItemDef } from "../toolbar/GroupItem";
/** Utility Class that provides definitions of tools provided by iModel.js core. These definitions can be used to populate the UI.
 * @public
 */
export declare class CoreTools {
    /** Get the CustomItemDef for PopupButton
     * @beta
     */
    static get keyinBrowserButtonItemDef(): CustomItemDef;
    private static _renderKeyInBrowser;
    static get keyinPaletteButtonItemDef(): ToolItemDef;
    static get fitViewCommand(): ToolItemDef;
    static get windowAreaCommand(): ToolItemDef;
    static get zoomViewCommand(): ToolItemDef;
    static get panViewCommand(): ToolItemDef;
    static get rotateViewCommand(): ToolItemDef;
    static get walkViewCommand(): ToolItemDef;
    static get selectElementCommand(): ToolItemDef;
    static get toggleCameraViewCommand(): ToolItemDef;
    static get flyViewCommand(): ToolItemDef;
    static get viewUndoCommand(): ToolItemDef;
    static get viewRedoCommand(): ToolItemDef;
    private static turnOnClipVolume;
    static get sectionByPlaneCommandItemDef(): ToolItemDef;
    static get sectionByElementCommandItemDef(): ToolItemDef;
    static get sectionByRangeCommandItemDef(): ToolItemDef;
    static get sectionByShapeCommandItemDef(): ToolItemDef;
    static get sectionToolGroup(): GroupItemDef;
    static get sectionToolGroupWithPanel(): GroupItemDef;
    static get measureDistanceToolItemDef(): ToolItemDef;
    static get measureLocationToolItemDef(): ToolItemDef;
    static get measureToolGroup(): GroupItemDef;
    static get clearSelectionItemDef(): CommandItemDef;
    static get restoreFrontstageLayoutCommandItemDef(): ToolItemDef;
}
//# sourceMappingURL=CoreToolDefinitions.d.ts.map