"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Tools
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.FrameworkToolAdmin = void 0;
const imodeljs_frontend_1 = require("@bentley/imodeljs-frontend");
const ui_abstract_1 = require("@bentley/ui-abstract");
const KeyboardShortcut_1 = require("../keyboardshortcut/KeyboardShortcut");
const UiFramework_1 = require("../UiFramework");
/** UiFramework implementation of ToolAdmin
  * @alpha
  */
class FrameworkToolAdmin extends imodeljs_frontend_1.ToolAdmin {
    /** Process shortcut key events */
    processShortcutKey(e, wentDown) {
        let handled = false;
        if (wentDown && !UiFramework_1.UiFramework.isContextMenuOpen) {
            if (KeyboardShortcut_1.KeyboardShortcutManager.isFocusOnHome && e.key !== ui_abstract_1.SpecialKey.Escape) {
                KeyboardShortcut_1.KeyboardShortcutManager.processKey(e.key, e.altKey, e.ctrlKey, e.shiftKey);
                handled = true;
            }
        }
        return handled;
    }
}
exports.FrameworkToolAdmin = FrameworkToolAdmin;
//# sourceMappingURL=FrameworkToolAdmin.js.map