"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Tools
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClearKeyinPaletteHistoryTool = void 0;
const KeyinPalettePanel_1 = require("../popup/KeyinPalettePanel");
const imodeljs_frontend_1 = require("@bentley/imodeljs-frontend");
/**
 * Immediate tool that will clear the recent history of command/tool keyins shown in
 * the command palette.
 * @alpha
 */
class ClearKeyinPaletteHistoryTool extends imodeljs_frontend_1.Tool {
    // istanbul ignore next
    static get minArgs() { return 0; }
    // istanbul ignore next
    static get maxArgs() { return 0; }
    run() {
        KeyinPalettePanel_1.clearKeyinPaletteHistory();
        return true;
    }
    parseAndRun() {
        return this.run();
    }
}
exports.ClearKeyinPaletteHistoryTool = ClearKeyinPaletteHistoryTool;
ClearKeyinPaletteHistoryTool.toolId = "ClearKeyinPaletteHistory";
ClearKeyinPaletteHistoryTool.iconSpec = "icon-remove";
//# sourceMappingURL=KeyinPaletteTools.js.map