/** @packageDocumentation
 * @module Tools
 */
import { ToolItemDef } from "../shared/ToolItemDef";
/** Utility Class that provides definitions of tools provided by imodeljs-markup package. These definitions can be used to populate the UI.
 *  Note: Application must call 'MarkupApp.initialize()' or 'MarkupApp.start()' before using these definitions.
 * @public
 */
export declare class MarkupTools {
    static get selectToolDef(): ToolItemDef;
    static get lineToolDef(): ToolItemDef;
    static get rectangleToolDef(): ToolItemDef;
    static get polygonToolDef(): ToolItemDef;
    static get cloudToolDef(): ToolItemDef;
    static get ellipseToolDef(): ToolItemDef;
    static get arrowToolDef(): ToolItemDef;
    static get distanceToolDef(): ToolItemDef;
    static get sketchToolDef(): ToolItemDef;
    static get placeTextToolDef(): ToolItemDef;
    static get symbolToolDef(): ToolItemDef;
}
//# sourceMappingURL=MarkupToolDefinitions.d.ts.map