"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpenSettingsTool = void 0;
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Tools
 */
const imodeljs_frontend_1 = require("@bentley/imodeljs-frontend");
const ModalSettingsStage_1 = require("../frontstage/ModalSettingsStage");
/**
 * Immediate tool that will open the Settings modal stage.
 * @alpha
 */
class OpenSettingsTool extends imodeljs_frontend_1.Tool {
    // istanbul ignore next
    static get minArgs() { return 0; }
    // istanbul ignore next
    static get maxArgs() { return 1; }
    run(settingCategory) {
        ModalSettingsStage_1.SettingsModalFrontstage.showSettingsStage(settingCategory);
        return true;
    }
    parseAndRun(...args) {
        return this.run(args[0]);
    }
}
exports.OpenSettingsTool = OpenSettingsTool;
OpenSettingsTool.toolId = "OpenSettings";
OpenSettingsTool.iconSpec = "icon-settings";
//# sourceMappingURL=OpenSettingsTool.js.map