/** @packageDocumentation
 * @module UiSettings
 */
import { SettingsStatus } from "@bentley/product-settings-client";
import { UiSettingsResult, UiSettingsStatus, UiSettingsStorage } from "@bentley/ui-core";
/**
 * Implementation of [[UiSettings]] that uses settings admin from `IModelApp.settings`.
 * @public
 */
export declare class UserSettingsStorage implements UiSettingsStorage {
    getSetting(namespace: string, name: string): Promise<UiSettingsResult>;
    saveSetting(namespace: string, name: string, setting: any): Promise<UiSettingsResult>;
    deleteSetting(namespace: string, name: string): Promise<UiSettingsResult>;
    private get isSignedIn();
}
/** @internal */
export declare function settingsStatusToUiSettingsStatus(status: SettingsStatus): UiSettingsStatus;
/** Alias for [[UserSettingsStorage]]
 * @beta @deprecated use UserSettingsStorage
 */
export declare class IModelAppUiSettings extends UserSettingsStorage {
}
//# sourceMappingURL=UserSettingsStorage.d.ts.map