/** @packageDocumentation
 * @module UiSettings
 */
import * as React from "react";
import { UiSettingsStorage } from "@bentley/ui-core";
/** @beta */
export declare function useUiSettingsStorageContext(): UiSettingsStorage;
/** @internal */
export declare const UiSettingsContext: React.Context<UiSettingsStorage>;
/** Properties for the [[UiSettingsProvider]] component.
 * @beta
 */
export interface UiSettingsProviderProps {
    children?: React.ReactNode;
    settingsStorage: UiSettingsStorage;
}
/** Allows to provide a custom [[UiSettings]] implementation to persist UI settings.
 * @beta
 */
export declare function UiSettingsProvider(props: UiSettingsProviderProps): JSX.Element;
//# sourceMappingURL=useUiSettings.d.ts.map