"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module UiSettings
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.UiSettingsProvider = exports.UiSettingsContext = exports.useUiSettingsStorageContext = void 0;
const React = require("react");
const ui_core_1 = require("@bentley/ui-core");
/** @beta */
function useUiSettingsStorageContext() {
    return React.useContext(exports.UiSettingsContext);
}
exports.useUiSettingsStorageContext = useUiSettingsStorageContext;
/** @internal */
exports.UiSettingsContext = React.createContext(new ui_core_1.LocalSettingsStorage()); // eslint-disable-line @typescript-eslint/naming-convention
exports.UiSettingsContext.displayName = "uifw:UiSettingsContext";
/** Allows to provide a custom [[UiSettings]] implementation to persist UI settings.
 * @beta
 */
function UiSettingsProvider(props) {
    return (React.createElement(exports.UiSettingsContext.Provider, { children: props.children, value: props.settingsStorage }));
}
exports.UiSettingsProvider = UiSettingsProvider;
//# sourceMappingURL=useUiSettings.js.map