"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WidgetPanelsFrontstageContent = void 0;
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Frontstage
 */
const React = require("react");
const ContentLayout_1 = require("../content/ContentLayout");
const Frontstage_1 = require("../frontstage/Frontstage");
/** @internal */
function WidgetPanelsFrontstageContent() {
    const frontstageDef = Frontstage_1.useActiveFrontstageDef();
    if (!frontstageDef || !frontstageDef.contentLayoutDef || !frontstageDef.contentGroup)
        return null;
    return (React.createElement(ContentLayout_1.ContentLayout, { contentLayout: frontstageDef.contentLayoutDef, contentGroup: frontstageDef.contentGroup, isInFooterMode: true }));
}
exports.WidgetPanelsFrontstageContent = WidgetPanelsFrontstageContent;
//# sourceMappingURL=FrontstageContent.js.map