/** @packageDocumentation
 * @module ToolSettings
 */
import "./ToolSettings.scss";
import * as React from "react";
/** Defines a ToolSettings property entry.
 * @beta
 */
export interface ToolSettingsEntry {
    labelNode: React.ReactNode;
    editorNode: React.ReactNode;
}
/** @internal */
export declare function WidgetPanelsToolSettings(): JSX.Element | null;
/** @internal */
export declare function ToolSettingsDockedContent(): JSX.Element;
/** @internal */
export declare function useHorizontalToolSettingNodes(): ToolSettingsEntry[] | undefined;
/** Defines the ToolSettingsEntry entries that are used to populate a grid layout of ToolSetting properties.
 * @beta
 */
export interface ToolSettingsGridProps {
    settings?: ToolSettingsEntry[];
}
/** Component that arranges an array of ToolSettingsEntry items into a two column grid layout.
 * The left column is considered the label column, the right column is considered the property
 * editor column.
 * @beta
 */
export declare function ToolSettingsGrid({ settings }: ToolSettingsGridProps): JSX.Element;
/** @internal */
export declare function useToolSettingsNode(): string | number | boolean | {} | React.ReactElement<any, string | React.JSXElementConstructor<any>> | React.ReactNodeArray | React.ReactPortal | null | undefined;
/** @internal */
export declare function ToolSettingsContent(): JSX.Element | null;
/** @internal */
export declare function ToolSettingsWidgetContent(): JSX.Element;
//# sourceMappingURL=ToolSettings.d.ts.map