/** @packageDocumentation
 * @module Widget
 */
/// <reference types="react" />
import { CommonToolbarItem } from "@bentley/ui-abstract";
/** Properties that can be used to append items to the default set of toolbar items of [[DefaultNavigationWidget]].
 * @public
 */
export interface BasicNavigationWidgetProps {
    /** optional set of additional items to include in horizontal toolbar */
    additionalHorizontalItems?: CommonToolbarItem[];
    /** optional set of additional items to include in vertical toolbar */
    additionalVerticalItems?: CommonToolbarItem[];
}
/** Basic Navigation Widget that provides standard tools to manipulate views containing element data.
 * Supports the specification of additional horizontal and vertical toolbar items through props.
 * @public
 */
export declare function BasicNavigationWidget(props: BasicNavigationWidgetProps): JSX.Element;
//# sourceMappingURL=BasicNavigationWidget.d.ts.map