/** @packageDocumentation
 * @module Widget
 */
/// <reference types="react" />
import { CommonToolbarItem } from "@bentley/ui-abstract";
/** Properties that can be used to append items to the default set of toolbar items of [[ReviewToolWidget]].
 * @beta
 */
export interface BasicToolWidgetProps {
    /** if true include hide/isolate Models and Categories */
    showCategoryAndModelsContextTools?: boolean;
    /** Name of icon WebFont entry or if specifying an SVG symbol added by plug on use "svg:" prefix to imported symbol Id. */
    icon?: string;
    /** optional set of additional items to include in horizontal toolbar */
    additionalHorizontalItems?: CommonToolbarItem[];
    /** optional set of additional items to include in vertical toolbar */
    additionalVerticalItems?: CommonToolbarItem[];
}
/** @internal */
export declare function useUiVisibility(): boolean;
/** Default Tool Widget for standard "review" applications. Provides standard tools to review, and measure elements.
 * This definition will also show a overflow button if there is not enough room to display all the toolbar buttons.
 * @beta
 */
export declare function BasicToolWidget(props: BasicToolWidgetProps): JSX.Element;
//# sourceMappingURL=BasicToolWidget.d.ts.map