/** @packageDocumentation
 * @module Widget
 */
import * as React from "react";
import { ItemList } from "../shared/ItemMap";
/** Properties that can be used to append items to the default set of toolbar items of [[DefaultNavigationWidget]].
 * @beta @deprecated use BasicNavigationWidget instead
 */
export interface DefaultNavigationProps {
    /** Item to add before the default items in the horizontal toolbar */
    prefixHorizontalItems?: ItemList;
    /** Item to add after the default items in the horizontal toolbar */
    suffixHorizontalItems?: ItemList;
    /** Item to add before the default items in the vertical toolbar */
    prefixVerticalItems?: ItemList;
    /** Item to add after the default items in the vertical toolbar */
    suffixVerticalItems?: ItemList;
}
/** Default Navigation Widget for zone 3. Provides standard view manipulation tools and displays registered Navigation Aids as corner item.
 * This definition will also show a overflow button if there is not enough room to display all the toolbar buttons.
 * @beta @deprecated use BasicNavigationWidget instead
 */
export declare class DefaultNavigationWidget extends React.Component<DefaultNavigationProps> {
    private _horizontalToolbarItems;
    private _verticalToolbarItems;
    render(): JSX.Element;
}
/** DefaultNavigationWidget that is connected to the IModelConnection property in the Redux store. The application must set up the Redux store and include the FrameworkReducer.
 * @beta @deprecated use BasicNavigationWidget instead
 */
export declare const IModelConnectedNavigationWidget: import("react-redux").ConnectedComponent<typeof DefaultNavigationWidget, any>;
//# sourceMappingURL=DefaultNavigationWidget.d.ts.map