/** @packageDocumentation
 * @module Widget
 */
import * as React from "react";
import { IModelConnection } from "@bentley/imodeljs-frontend";
import { CommonProps } from "@bentley/ui-core";
import { ToolbarWidgetDefBase } from "./ToolbarWidgetBase";
import { NavigationWidgetProps } from "./WidgetDef";
/** Definition of a Navigation Widget normally displayed in the top right zone in the 9-Zone Layout system.
 *  @public @deprecated use NavigationWidgetComposer instead
 */
export declare class NavigationWidgetDef extends ToolbarWidgetDefBase {
    private _navigationAidId;
    private _imodel;
    private _navigationAidControl;
    private _reactNode;
    constructor(props: NavigationWidgetProps);
    get reactNode(): React.ReactNode;
    /** @deprecated use reactNode */
    get reactElement(): React.ReactNode;
    renderCornerItem(): React.ReactNode;
    updateNavigationAid(navigationAidId: string, imodel?: IModelConnection): void;
}
/** Properties for the [[NavigationWidget]] React component.
 *  @public @deprecated use NavigationWidgetComposer instead
 */
export interface NavigationWidgetPropsEx extends NavigationWidgetProps, CommonProps {
    iModelConnection?: IModelConnection;
    horizontalToolbar?: React.ReactNode;
    verticalToolbar?: React.ReactNode;
}
/** State for the Navigation Widget React component.
 * @internal
 */
interface NavigationWidgetState {
    navigationWidgetDef: NavigationWidgetDef;
}
/** Navigation Widget React component.
 *  @public @deprecated use NavigationWidgetComposer instead
 */
export declare class NavigationWidget extends React.Component<NavigationWidgetPropsEx, NavigationWidgetState> {
    /** @internal */
    readonly state: Readonly<NavigationWidgetState>;
    constructor(props: NavigationWidgetPropsEx);
    /** Adds listeners */
    componentDidMount(): void;
    /** Removes listeners */
    componentWillUnmount(): void;
    private _handleContentControlActivated;
    private _handleViewClassFullNameChange;
    componentDidUpdate(prevProps: NavigationWidgetPropsEx, _prevState: NavigationWidgetState): void;
    render(): React.ReactNode;
}
export {};
//# sourceMappingURL=NavigationWidget.d.ts.map