/** @packageDocumentation
 * @module Widget
 */
import * as React from "react";
import { CommonProps } from "@bentley/ui-core";
/** Properties for the [[NavigationAidHost]] React component
 * @public
 */
export interface NavigationAidHostProps {
    minWidth?: string;
    minHeight?: string;
}
/**
 * NavigationAidHost is a component that hosts a NavigationAid that is specific to the active content control.
 * @public
 */
export declare function NavigationAidHost(props: NavigationAidHostProps): JSX.Element;
/** Properties for the [[NavigationWidgetComposer]] React components
 * @public
 */
export interface NavigationWidgetComposerProps extends CommonProps {
    /** Optional Horizontal Toolbar */
    horizontalToolbar?: React.ReactNode;
    /** Optional Vertical Toolbar */
    verticalToolbar?: React.ReactNode;
    /** Optional Navigation Aid host. If not specified a default host is provided which will use registered Navigation Aids and the active content control to determine which if any Navigation Aid to display. */
    navigationAidHost?: React.ReactNode;
}
/**
 * Component that Composes a NavigationWidget typically using toolbars generated via [[ToolbarComposer]] class. The Navigation widget is shown in the top right of the content area
 * and typically holds tools to visually navigate, orient, and zoom to specific content.
 * @public
 */
export declare function NavigationWidgetComposer(props: NavigationWidgetComposerProps): JSX.Element;
//# sourceMappingURL=NavigationWidgetComposer.d.ts.map