/** @packageDocumentation
 * @module Widget
 */
import * as React from "react";
import { IconSpec } from "@bentley/ui-core";
import { ItemList } from "../shared/ItemMap";
/** Properties that can be used to append items to the default set of toolbar items of [[ReviewToolWidget]].
 * @beta
 */
export interface ReviewToolWidgetProps {
    /** Item to add before the default items in the horizontal toolbar */
    prefixHorizontalItems?: ItemList;
    /** Item to add after the default items in the horizontal toolbar */
    suffixHorizontalItems?: ItemList;
    /** Item to add before the default items in the vertical toolbar */
    prefixVerticalItems?: ItemList;
    /** Item to add after the default items in the vertical toolbar */
    suffixVerticalItems?: ItemList;
    /** Controls visibility of hide/isolate tools that act on a selection set's categories/models */
    showCategoryAndModelsContextTools?: boolean;
    /** Icon specification for application button */
    iconSpec?: IconSpec;
}
/** Default Tool Widget for standard "review" applications. Provides standard tools to review, and measure elements.
 * This definition will also show a overflow button if there is not enough room to display all the toolbar buttons.
 * @beta
 */
export declare class ReviewToolWidget extends React.Component<ReviewToolWidgetProps, any> {
    private _horizontalToolbarItems;
    private _verticalToolbarItems;
    render(): JSX.Element;
}
//# sourceMappingURL=ReviewToolWidget.d.ts.map