/** @packageDocumentation
 * @module Widget
 */
import * as React from "react";
import { CommonProps } from "@bentley/ui-core";
import { ToolbarWidgetDefBase } from "./ToolbarWidgetBase";
import { ToolWidgetProps } from "./WidgetDef";
/** Definition of a Tool Widget normally displayed in the top left zone in the 9-Zone Layout system.
 *  @public @deprecated use ToolWidgetComposer instead
 */
export declare class ToolWidgetDef extends ToolbarWidgetDefBase {
    private _appButton;
    private _reactNode;
    private _backstageLabel;
    constructor(props: ToolWidgetProps);
    get reactNode(): React.ReactNode;
    /** @deprecated use reactNode */
    get reactElement(): React.ReactNode;
    renderCornerItem(): React.ReactNode | undefined;
}
/** Properties for the [[ToolWidget]] React component.
 *  @public @deprecated use ToolWidgetComposer instead
 */
export interface ToolWidgetPropsEx extends ToolWidgetProps, CommonProps {
    button?: React.ReactNode;
    horizontalToolbar?: React.ReactNode;
    verticalToolbar?: React.ReactNode;
}
/** State for the [[ToolWidget]] React component.
 * @internal
 */
interface ToolWidgetState {
    toolWidgetDef: ToolWidgetDef;
}
/** ToolWidget React component.
 *  @public @deprecated use ToolWidgetComposer instead
 */
export declare class ToolWidget extends React.Component<ToolWidgetPropsEx, ToolWidgetState> {
    /** @internal */
    readonly state: Readonly<ToolWidgetState>;
    constructor(props: ToolWidgetPropsEx);
    componentDidUpdate(prevProps: ToolWidgetPropsEx, _prevState: ToolWidgetState): void;
    render(): React.ReactNode;
}
export {};
//# sourceMappingURL=ToolWidget.d.ts.map