/** @packageDocumentation
 * @module Widget
 */
import * as React from "react";
import { CommonProps } from "@bentley/ui-core";
/** Properties for the [[BackstageAppButton]] React component
 * @public
 */
export interface BackstageAppButtonProps {
    /** Icon specification for the App button */
    icon?: string;
}
/**
 * BackstageAppButton used to toggle display of Backstage.
 * @public
 */
export declare function BackstageAppButton(props: BackstageAppButtonProps): JSX.Element;
/** Properties for the [[ToolbarComposer]] React components
 * @public
 */
export interface ToolWidgetComposerProps extends CommonProps {
    /** Optional Corner Item which for most stages is the [[BackstageAppButton]] used to toggle the display of the backstage menu. */
    cornerItem?: React.ReactNode;
    /** Optional Horizontal Toolbar */
    horizontalToolbar?: React.ReactNode;
    /** Optional Vertical Toolbar */
    verticalToolbar?: React.ReactNode;
}
/**
 * ToolWidget component that supports use of ToolbarComposer-based Toolbars. The ToolWidget is shown in the top left of the content area
 * and typically holds tools to manipulate or interrogate content. The horizontal toolbar often includes context specific tools based on
 * selected items. The vertical toolbar typically contains a more fixed list of tools.
 * @public
 */
export declare function ToolWidgetComposer(props: ToolWidgetComposerProps): JSX.Element;
//# sourceMappingURL=ToolWidgetComposer.d.ts.map