/** @packageDocumentation
 * @module Widget
 */
import * as React from "react";
import { Direction, ToolbarPanelAlignment } from "@bentley/ui-ninezone";
import { ItemList } from "../shared/ItemMap";
import { ToolbarWidgetProps, WidgetDef } from "./WidgetDef";
/** A Toolbar Widget normally displayed in the top left & top right zones in the 9-Zone Layout system.
 * @public
 */
export declare class ToolbarWidgetDefBase extends WidgetDef {
    horizontalDirection: Direction;
    verticalDirection: Direction;
    horizontalPanelAlignment: ToolbarPanelAlignment;
    verticalPanelAlignment: ToolbarPanelAlignment;
    horizontalItems?: ItemList;
    verticalItems?: ItemList;
    private _toolbarBaseName;
    constructor(def: ToolbarWidgetProps);
    set widgetBaseName(baseName: string);
    get widgetBaseName(): string;
    renderHorizontalToolbar(): React.ReactNode;
    renderVerticalToolbar(): React.ReactNode;
}
//# sourceMappingURL=ToolbarWidgetBase.d.ts.map