"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WidgetState = void 0;
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Widget
 */
/** Widget state enum.
 * @public
 * @deprecated - Use [WidgetState]($ui-abstract) in bentley/ui-abstract instead.
 */
var WidgetState;
(function (WidgetState) {
    /** Widget tab is visible and active and its contents are visible */
    WidgetState[WidgetState["Open"] = 0] = "Open";
    /** Widget tab is visible but its contents are not visible */
    WidgetState[WidgetState["Closed"] = 1] = "Closed";
    /** Widget tab nor its contents are visible */
    WidgetState[WidgetState["Hidden"] = 2] = "Hidden";
    /** Widget tab is in a 'floating' state and is not docked in zone's tab stack */
    WidgetState[WidgetState["Floating"] = 3] = "Floating";
    /** Widget tab is visible but its contents are not loaded */
    WidgetState[WidgetState["Unloaded"] = 4] = "Unloaded";
})(WidgetState = exports.WidgetState || (exports.WidgetState = {}));
//# sourceMappingURL=WidgetState.js.map