/** @packageDocumentation
 * @module StatusBar
 */
import * as React from "react";
import { CommonProps, RectangleProps } from "@bentley/ui-core";
import { ZoneManagerProps, ZoneTargetType } from "@bentley/ui-ninezone";
import { TargetChangeHandler, WidgetChangeHandler } from "../frontstage/FrontstageComposer";
import { StatusBarWidgetControl } from "../statusbar/StatusBarWidgetControl";
/** Properties for the [[StatusBarZone]] component
 * @internal
 */
export interface StatusBarZoneProps extends CommonProps {
    dropTarget: ZoneTargetType | undefined;
    isHidden: boolean;
    isInFooterMode: boolean;
    targetChangeHandler: TargetChangeHandler;
    targetedBounds: RectangleProps | undefined;
    widgetChangeHandler: WidgetChangeHandler;
    widgetControl?: StatusBarWidgetControl;
    zoneProps: ZoneManagerProps;
}
/** Status Bar Zone React component.
 * @internal
 */
export declare class StatusBarZone extends React.PureComponent<StatusBarZoneProps> {
    render(): React.ReactNode;
}
//# sourceMappingURL=StatusBarZone.d.ts.map